Bug 19802 - gstreamer0.10-plugins-bad new security issue in NES Sound File format decoding (CVE-2016-9447)
Summary: gstreamer0.10-plugins-bad new security issue in NES Sound File format decodin...
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 5
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: All Packagers
QA Contact: Sec team
URL: http://lwn.net/Vulnerabilities/706586/
Whiteboard: MGA5-32-OK MGA5-64-OK
Keywords: feedback
Depends on:
Blocks:
 
Reported: 2016-11-16 19:29 CET by David Walser
Modified: 2017-10-22 22:23 CEST (History)
5 users (show)

See Also:
Source RPM: gstreamer0.10-plugins-bad
CVE:
Status comment:


Attachments

Description David Walser 2016-11-16 19:29:41 CET
Debian has issued an advisory on November 15:
https://www.debian.org/security/2016/dsa-3713

Mageia 5 is also affected.
David Walser 2016-11-16 19:29:47 CET

Whiteboard: (none) => MGA5TOO

Comment 1 Marja van Waes 2016-11-18 10:25:18 CET
Assigning to the registered maintainer

Assignee: bugsquad => shlomif
CC: (none) => marja11

Comment 2 David Walser 2016-11-19 20:38:24 CET
Appears to be fixed in Cauldron by Shlomi.

Make sure it gets built in core too, since I think I only saw tainted.

Whiteboard: MGA5TOO => (none)
Version: Cauldron => 5

Comment 3 David Walser 2016-11-20 17:16:07 CET
CVE-2016-9447:
http://openwall.com/lists/oss-security/2016/11/18/13

Summary: gstreamer0.10-plugins-bad new security issue in NES Sound File format decoding => gstreamer0.10-plugins-bad new security issue in NES Sound File format decoding (CVE-2016-9447)

Comment 4 Nicolas Lécureuil 2017-08-22 11:53:44 CEST
pushed in updates_testing
src.rpm:
        gstreamer0.10-plugins-bad-0.10.23-22.1.mga5

Assignee: shlomif => qa-bugs
CC: (none) => mageia

Comment 5 David Walser 2017-08-22 12:27:34 CEST
Advisory:
========================

Updated gstreamer0.10-plugins-bad packages fix security vulnerability:

Chris Evans discovered that the GStreamer 0.10 plugin to decode NES Sound
Format files allowed the execution of arbitrary code (CVE-2016-9447).

References:
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-9447
https://www.debian.org/security/2016/dsa-3713
http://openwall.com/lists/oss-security/2016/11/18/13
========================

Updated packages in core/updates_testing:
========================
gstreamer0.10-plugins-bad-0.10.23-22.1.mga5
libgstphotography0.10_0-0.10.23-22.1.mga5
libgstvdp0.10_0-0.10.23-22.1.mga5
libgstphotography-devel-0.10.23-22.1.mga5
libgstbasevideo0.10_0-0.10.23-22.1.mga5
libgstbasevideo-devel-0.10.23-22.1.mga5
gstreamer0.10-curl-0.10.23-22.1.mga5
gstreamer0.10-dc1394-0.10.23-22.1.mga5
gstreamer0.10-ofa-0.10.23-22.1.mga5
gstreamer0.10-wildmidi-0.10.23-22.1.mga5
gstreamer0.10-mpeg2enc-0.10.23-22.1.mga5
gstreamer0.10-gme-0.10.23-22.1.mga5
gstreamer0.10-dirac-0.10.23-22.1.mga5
gstreamer0.10-schroedinger-0.10.23-22.1.mga5
gstreamer0.10-vp8-0.10.23-22.1.mga5
gstreamer0.10-ladspa-0.10.23-22.1.mga5
gstreamer0.10-musepack-0.10.23-22.1.mga5
gstreamer0.10-mms-0.10.23-22.1.mga5
gstreamer0.10-rtmp-0.10.23-22.1.mga5
gstreamer0.10-directfb-0.10.23-22.1.mga5
gstreamer0.10-soundtouch-0.10.23-22.1.mga5
gstreamer0.10-kate-0.10.23-22.1.mga5
gstreamer0.10-libass-0.10.23-22.1.mga5
gstreamer0.10-resindvd-0.10.23-22.1.mga5
gstreamer0.10-voip-0.10.23-22.1.mga5
gstreamer0.10-cog-0.10.23-22.1.mga5
gstreamer0.10-plugins-bad-doc-0.10.23-22.1.mga5
gstreamer0.10-plugins-bad-debuginfo-0.10.23-22.1.mga5
gstreamer0.10-vdpau-0.10.23-22.1.mga5
gstreamer0.10-gsm-0.10.23-22.1.mga5
gstreamer0.10-neon-0.10.23-22.1.mga5
gstreamer0.10-nas-0.10.23-22.1.mga5
gstreamer0.10-jp2k-0.10.23-22.1.mga5
gstreamer0.10-celt-0.10.23-22.1.mga5
gstreamer0.10-rsvg-0.10.23-22.1.mga5

from gstreamer0.10-plugins-bad-0.10.23-22.1.mga5.src.rpm
Comment 6 David Walser 2017-08-26 23:10:36 CEST
This package also needs a tainted build.  Additionally, we still have Bug 19814 and Bug 20238 that we also need to fix for this package.

Whiteboard: (none) => feedback

Comment 7 Samuel Verschelde 2017-09-06 15:08:41 CEST
Moving 'feedback' from whiteboard to keywords now that madb has been updated to handle that keyword.

Keywords: (none) => feedback
Whiteboard: feedback => (none)

Comment 8 Brian Rockwell 2017-09-25 04:59:33 CEST
I was able to install the packages in Mageia 5 -32

The following 117 packages are going to be installed:

- gstreamer0.10-celt-0.10.23-22.mga5.i586
- gstreamer0.10-cog-0.10.23-22.mga5.i586
- gstreamer0.10-curl-0.10.23-22.mga5.i586
- gstreamer0.10-dc1394-0.10.23-22.mga5.i586
- gstreamer0.10-dirac-0.10.23-22.mga5.i586
- gstreamer0.10-directfb-0.10.23-22.mga5.i586
- gstreamer0.10-gme-0.10.23-22.mga5.i586
- gstreamer0.10-gsm-0.10.23-22.mga5.i586
- gstreamer0.10-jp2k-0.10.23-22.mga5.i586
- gstreamer0.10-kate-0.10.23-22.mga5.i586
- gstreamer0.10-ladspa-0.10.23-22.mga5.i586
- gstreamer0.10-libass-0.10.23-22.mga5.i586
- gstreamer0.10-mms-0.10.23-22.mga5.i586
- gstreamer0.10-mpeg2enc-0.10.23-22.mga5.i586
- gstreamer0.10-musepack-0.10.23-22.mga5.i586
- gstreamer0.10-nas-0.10.23-22.mga5.i586
- gstreamer0.10-neon-0.10.23-22.mga5.i586
- gstreamer0.10-ofa-0.10.23-22.mga5.i586
- gstreamer0.10-plugins-bad-0.10.23-22.mga5.i586
- gstreamer0.10-plugins-bad-doc-0.10.23-22.mga5.i586
- gstreamer0.10-resindvd-0.10.23-22.mga5.i586
- gstreamer0.10-rsvg-0.10.23-22.mga5.i586
- gstreamer0.10-rtmp-0.10.23-22.mga5.i586
- gstreamer0.10-schroedinger-0.10.23-22.mga5.i586
- gstreamer0.10-soundtouch-0.10.23-22.mga5.i586
- gstreamer0.10-vdpau-0.10.23-22.mga5.i586
- gstreamer0.10-voip-0.10.23-22.mga5.i586
- gstreamer0.10-vp8-0.10.23-22.mga5.i586
- gstreamer0.10-wildmidi-0.10.23-22.mga5.i586
- ladspa-1.13-9.mga5.i586
- libcdaudio1-0.99.12p2-5.mga5.i586
- libdirac0-1.0.2-10.mga5.i586
- libgme0-0.6.1-1.mga5.i586
- libgstbasevideo0.10_0-0.10.23-22.mga5.i586
- libgstphotography0.10_0-0.10.23-22.mga5.i586
- libgstvdp0.10_0-0.10.23-22.mga5.i586
- libkate1-0.4.1-8.mga5.i586
- libmms0-0.6.4-4.mga5.i586
- libmpc3-1.0.2-4.mga5.i586
- libmpcdec5-1.2.6-15.mga5.i586
- libmusicbrainz4-2.1.5-15.mga5.i586
- libofa0-0.9.3-19.mga5.i586
- libtiger5-0.3.4-8.mga5.i586
- libwildmidi1-0.3.8-1.mga5.i586
- mingw-binutils-generic-2.23.52.0.1-4.mga5.i586
- mingw-filesystem-base-99-5.mga5.noarch
- mingw32-binutils-2.23.52.0.1-4.mga5.i586
- mingw32-bzip2-1.0.6-7.mga5.noarch
- mingw32-cairo-1.12.16-3.mga5.noarch
- mingw32-cpp-4.8.1-7.mga5.i586
- mingw32-crt-3.0.0-4.mga5.noarch
- mingw32-expat-2.1.0-8.mga5.noarch
- mingw32-filesystem-99-5.mga5.noarch
- mingw32-fontconfig-2.10.95-3.mga5.noarch
- mingw32-freetype-2.5.0.1-3.mga5.noarch
- mingw32-gcc-4.8.1-7.mga5.i586
- mingw32-gcc-c++-4.8.1-7.mga5.i586
- mingw32-gettext-0.18.3.1-4.mga5.noarch
- mingw32-glib2-2.38.2-3.mga5.noarch
- mingw32-gstreamer-0.10.36-7.mga5.noarch
- mingw32-gstreamer-plugins-bad-free-0.10.23-12.mga5.noarch
- mingw32-gstreamer-plugins-base-0.10.36-6.mga5.noarch
- mingw32-harfbuzz-0.9.20-3.mga5.noarch
- mingw32-headers-3.0.0-6.mga5.noarch
- mingw32-icu-50.1.2-4.mga5.noarch
- mingw32-jasper-1.900.1-24.mga5.noarch
- mingw32-libffi-3.0.13-7.mga5.noarch
- mingw32-libjpeg-turbo-1.3.0-4.mga5.noarch
- mingw32-libogg-1.3.0-8.mga5.noarch
- mingw32-libpng-1.6.3-4.mga5.noarch
- mingw32-libvorbis-1.3.3-5.mga5.noarch
- mingw32-libxml2-2.9.1-6.mga5.noarch
- mingw32-orc-0.4.16-6.mga5.noarch
- mingw32-pango-1.36.5-3.mga5.noarch
- mingw32-pixman-0.30.0-6.mga5.noarch
- mingw32-pkg-config-0.28-6.mga5.i586
- mingw32-SDL-1.2.15-7.mga5.noarch
- mingw32-termcap-1.3.1-19.mga5.noarch
- mingw32-win-iconv-0.0.4-6.mga5.noarch
- mingw32-winpthreads-3.0.0-4.mga5.noarch
- mingw32-zlib-1.2.8-4.mga5.noarch
- mingw64-binutils-2.23.52.0.1-4.mga5.i586
- mingw64-bzip2-1.0.6-7.mga5.noarch
- mingw64-cairo-1.12.16-3.mga5.noarch
- mingw64-cpp-4.8.1-7.mga5.i586
- mingw64-crt-3.0.0-4.mga5.noarch
- mingw64-expat-2.1.0-8.mga5.noarch
- mingw64-filesystem-99-5.mga5.noarch
- mingw64-fontconfig-2.10.95-3.mga5.noarch
- mingw64-freetype-2.5.0.1-3.mga5.noarch
- mingw64-gcc-4.8.1-7.mga5.i586
- mingw64-gcc-c++-4.8.1-7.mga5.i586
- mingw64-gettext-0.18.3.1-4.mga5.noarch
- mingw64-glib2-2.38.2-3.mga5.noarch
- mingw64-gstreamer-0.10.36-7.mga5.noarch
- mingw64-gstreamer-plugins-bad-free-0.10.23-12.mga5.noarch
- mingw64-gstreamer-plugins-base-0.10.36-6.mga5.noarch
- mingw64-harfbuzz-0.9.20-3.mga5.noarch
- mingw64-headers-3.0.0-6.mga5.noarch
- mingw64-icu-50.1.2-4.mga5.noarch
- mingw64-jasper-1.900.1-24.mga5.noarch
- mingw64-libffi-3.0.13-7.mga5.noarch
- mingw64-libjpeg-turbo-1.3.0-4.mga5.noarch
- mingw64-libogg-1.3.0-8.mga5.noarch
- mingw64-libpng-1.6.3-4.mga5.noarch
- mingw64-libvorbis-1.3.3-5.mga5.noarch
- mingw64-libxml2-2.9.1-6.mga5.noarch
- mingw64-orc-0.4.16-6.mga5.noarch
- mingw64-pango-1.36.5-3.mga5.noarch
- mingw64-pixman-0.30.0-6.mga5.noarch
- mingw64-pkg-config-0.28-6.mga5.i586
- mingw64-SDL-1.2.15-7.mga5.noarch
- mingw64-termcap-1.3.1-19.mga5.noarch
- mingw64-win-iconv-0.0.4-6.mga5.noarch
- mingw64-winpthreads-3.0.0-4.mga5.noarch
- mingw64-zlib-1.2.8-4.mga5.noarch
- timidity-patch-freepats-20060219-19.mga5.noarch

591MB of additional disk space will be used.

117MB of packages will be retrieved.

Is it ok to continue?


Having a challenge finding any tools that actually use this version any longer.  Closest I found was Clementine, but it prefers different versions as well of the 0.10 libraries.

Installs clean - any ideas?

CC: (none) => brtians1

Comment 9 Brian Rockwell 2017-10-02 16:05:41 CEST
Ok - had some time this morning to look up gstreamer.  I ran some of the routines and it seems to work.  Here is the last one.

[brian@localhost ~]$ gst-inspect-0.10
celt:  celtenc: Celt audio encoder
celt:  celtdec: Celt audio decoder
mpegvideoparse:  legacympegvideoparse: MPEG video elementary stream parser
mpegtsdemux:  tsparse: MPEG transport stream parser
mpegtsdemux:  tsdemux: MPEG transport stream demuxer
autoconvert:  autoconvert: Select convertor based on caps
autoconvert:  autovideoconvert: Select color space convertor based on caps
vp8:  vp8dec: On2 VP8 Decoder
vp8:  vp8enc: On2 VP8 Encoder
dfbvideosink:  dfbvideosink: DirectFB video sink
xvimagesink:  xvimagesink: Video sink
fragmented:  hlsdemux: HLS Demuxer
mxf:  mxfdemux: MXF Demuxer
mxf:  mxfmux: MXF muxer
ladspa:  ladspa-sine-faaa: Sine Oscillator (Freq:audio, Amp:audio)
ladspa:  ladspa-sine-faac: Sine Oscillator (Freq:audio, Amp:control)
ladspa:  ladspa-sine-fcaa: Sine Oscillator (Freq:control, Amp:audio)
ladspa:  ladspa-sine-fcac: Sine Oscillator (Freq:control, Amp:control)
ladspa:  ladspa-lpf: Simple Low Pass Filter
ladspa:  ladspa-hpf: Simple High Pass Filter
ladspa:  ladspa-amp-mono: Mono Amplifier
ladspa:  ladspa-amp-stereo: Stereo Amplifier
ladspa:  ladspa-noise-white: White Noise Source
ladspa:  ladspa-delay-5s: Simple Delay Line
encoding:  encodebin: Encoder Bin
neon:  neonhttpsrc: HTTP client source
videorate:  videorate: Video rate adjuster
y4mdec:  y4mdec: YUV4MPEG demuxer/decoder
gsm:  gsmenc: GSM audio encoder
gsm:  gsmdec: GSM audio decoder
real:  realvideodec: RealVideo decoder
real:  realaudiodec: RealAudio decoder
nuvdemux:  nuvdemux: Nuv demuxer
shm:  shmsrc: Shared Memory Source
shm:  shmsink: Shared Memory Sink
decodebin:  decodebin: Decoder Bin
vcdsrc:  vcdsrc: VCD Source
resindvd:  rsndvdbin: rsndvdbin
gstsiren:  sirendec: Siren Decoder element
gstsiren:  sirenenc: Siren Encoder element
jp2kdecimator:  jp2kdecimator: JPEG2000 decimator
dvb:  dvbsrc: DVB Source
dvb:  dvbbasebin: DVB bin
ffmpegcolorspace:  ffmpegcolorspace: FFMPEG Colorspace converter
pulseaudio:  pulsesink: PulseAudio Audio Sink
pulseaudio:  pulsesrc: PulseAudio Audio Source
pulseaudio:  pulseaudiosink: Bin wrapping pulsesink
pulseaudio:  pulsemixer: PulseAudio Mixer
mpegtsmux:  mpegtsmux: MPEG Transport Stream Muxer
subparse: subparse_typefind: srt, sub, mpsub, mdvd, smi, txt, dks
subparse:  subparse: Subtitle parser
subparse:  ssaparse: SSA Subtitle Parser
ivfparse:  ivfparse: IVF parser
videotestsrc:  videotestsrc: Video test source
mimic:  mimenc: Mimic Encoder
mimic:  mimdec: Mimic Decoder
musepack:  musepackdec: Musepack decoder
videosignal:  videoanalyse: Video analyser
videosignal:  videodetect: Video detecter
videosignal:  videomark: Video marker
colorspace:  colorspace:  Colorspace converter
gio:  giosink: GIO sink
gio:  giosrc: GIO source
gio:  giostreamsink: GIO stream sink
gio:  giostreamsrc: GIO stream source
wildmidi:  wildmidi: WildMidi
dataurisrc:  dataurisrc: data: URI source element
vorbis:  vorbisenc: Vorbis audio encoder
vorbis:  vorbisdec: Vorbis audio decoder
vorbis:  vorbisparse: VorbisParse
vorbis:  vorbistag: VorbisTag
nas:  nassink: NAS audio sink
mms:  mmssrc: MMS streaming source
ximagesink:  ximagesink: Video sink
rtpmux:  rtpmux: RTP muxer
rtpmux:  rtpdtmfmux: RTP muxer
nsf:  nsfdec: Nsf decoder
schro:  schrodec: Dirac Decoder
schro:  schroenc: Dirac Encoder
sdi:  sdidemux: SDI Demuxer
sdi:  sdimux: SDI Muxer
dvdspu:  dvdspu: Sub-picture Overlay
segmentclip:  audiosegmentclip: Audio buffer segment clipper
segmentclip:  videosegmentclip: Video buffer segment clipper
uridecodebin:  decodebin2: Decoder Bin
uridecodebin:  uridecodebin: URI Decoder
apexsink:  apexsink: Apple AirPort Express Audio Sink
dccp:  dccpclientsrc: DCCP client source
dccp:  dccpserversink: DCCP server sink
dccp:  dccpclientsink: DCCP client sink
dccp:  dccpserversrc: DCCP server source
assrender:  assrender: ASS/SSA Render
mpegpsmux:  mpegpsmux: MPEG Program Stream Muxer
theora:  theoradec: Theora video decoder
theora:  theoraenc: Theora video encoder
theora:  theoraparse: Theora video parser
camerabin:  camerabin: Camera Bin
rsvg:  rsvgoverlay: RSVG overlay
rsvg:  rsvgdec: SVG image decoder
festival:  festival: Festival Text-to-Speech synthesizer
subenc:  srtenc: Srt encoder
subenc:  webvttenc: WebVTT encoder
ofa:  ofa: OFA
bz2:  bz2enc: BZ2 encoder
bz2:  bz2dec: BZ2 decoder
mve:  mvedemux: MVE Demuxer
mve:  mvemux: MVE Multiplexer
cog:  cogdownsample: Scale down video by factor of 2
cog:  cogcolorspace: YCbCr/RGB format conversion
cog:  cogscale: Video scaler
cog:  cogcolorconvert: Convert colorspace
cog:  coglogoinsert: Overlay image onto video
cog:  cogmse: Calculate MSE
alsa:  alsamixer: Alsa mixer
alsa:  alsasrc: Audio source (ALSA)
alsa:  alsasink: Audio sink (ALSA)
soundtouch:  pitch: Pitch controller
soundtouch:  bpmdetect: BPM Detector
rfbsrc:  rfbsrc: Rfb source
linsys:  linsyssdisrc: SDI video source
linsys:  linsyssdisink: SDI video sink
audioresample:  audioresample: Audio resampler
debugutilsbad:  checksumsink: Checksum sink
debugutilsbad:  fpsdisplaysink: Measure and show framerate on videosink
debugutilsbad:  chopmydata: FIXME
debugutilsbad:  compare: Compare buffers
debugutilsbad:  debugspy: DebugSpy
decklink:  decklinksrc: Decklink source
decklink:  decklinksink: Decklink Sink
stereo:  stereo: Stereo effect
vdpau:  vdpaumpegdec: VDPAU Mpeg Decoder
vdpau:  vdpauh264dec: VDPAU H264 Decoder
vdpau:  vdpaumpeg4dec: VDPAU Mpeg4 Decoder
vdpau:  vdpauvideopostprocess: VdpauVideoPostProcess
vdpau:  vdpausink: VDPAU Sink
videoparsersbad:  h263parse: H.263 parser
videoparsersbad:  h264parse: H.264 parser
videoparsersbad:  diracparse: Dirac parser
videoparsersbad:  mpegvideoparse: MPEG video elementary stream parser
videoparsersbad:  mpeg4videoparse: MPEG 4 video elementary stream parser
rtmp:  rtmpsrc: RTMP Source
rtmp:  rtmpsink: RTMP output sink
fbdevsink:  fbdevsink: fbdev video sink
rawparse:  videoparse: Video Parse
rawparse:  audioparse: Audio Parse
adpcmenc:  adpcmenc: ADPCM encoder
asfmux:  asfmux: ASF muxer
asfmux:  rtpasfpay: RTP ASF payloader
asfmux:  asfparse: ASF parser
rtpvp8:  rtpvp8depay: RTP VP8 depayloader
rtpvp8:  rtpvp8pay: RTP VP8 payloader
scaletempo:  scaletempo: Scaletempo
interlace:  interlace: Interlace filter
audiovisualizers:  spacescope: Stereo visualizer
audiovisualizers:  spectrascope: Frequency spectrum scope
audiovisualizers:  synaescope: Synaescope
audiovisualizers:  wavescope: Waveform oscilloscope
pcapparse:  pcapparse: PCapParse
pcapparse:  irtspparse: IRTSPParse
audiorate:  audiorate: Audio rate adjuster
curl:  curlsink: Curl sink
cdaudio:  cdaudio: CD player
playback:  playbin: Player Bin
playback:  playbin2: Player Bin 2
playback:  playsink: Player Sink
playback:  subtitleoverlay: Subtitle Overlay
coloreffects:  coloreffects: Color Look-up Table filter
coloreffects:  chromahold: Chroma hold filter
sdp:  sdpdemux: SDP session setup
modplug:  modplug: ModPlug
jpegformat:  jpegparse: JPEG stream parser
jpegformat:  jifmux: JPEG stream muxer
adpcmdec:  adpcmdec: ADPCM decoder
id3tag:  id3mux: ID3 v1 and v2 Muxer
freeze:  freeze: Stream freezer
tta:  ttaparse: TTA file parser
tta:  ttadec: TTA audio decoder
adder:  adder: Adder
coreelements:  capsfilter: CapsFilter
coreelements:  fakesrc: Fake Source
coreelements:  fakesink: Fake Sink
coreelements:  fdsrc: Filedescriptor Source
coreelements:  fdsink: Filedescriptor Sink
coreelements:  filesrc: File Source
coreelements:  funnel: Funnel pipe fitting
coreelements:  identity: Identity
coreelements:  input-selector: Input selector
coreelements:  output-selector: Output selector
coreelements:  queue: Queue
coreelements:  queue2: Queue 2
coreelements:  filesink: File Sink
coreelements:  tee: Tee pipe fitting
coreelements:  typefind: TypeFind
coreelements:  multiqueue: MultiQueue
coreelements:  valve: Valve element
hdvparse:  hdvparse: HDVParser
sndfile:  sfsink: Sndfile sink
sndfile:  sfsrc: Sndfile source
inter:  interaudiosrc: FIXME Long name
inter:  interaudiosink: FIXME Long name
inter:  intervideosrc: FIXME Long name
inter:  intervideosink: FIXME Long name
ogg:  oggdemux: Ogg demuxer
ogg:  oggmux: Ogg muxer
ogg:  ogmaudioparse: OGM audio stream parser
ogg:  ogmvideoparse: OGM video stream parser
ogg:  ogmtextparse: OGM text stream parser
ogg:  oggparse: Ogg parser
ogg:  oggaviparse: Ogg AVI parser
gdp:  gdpdepay: GDP Depayloader
gdp:  gdppay: GDP Payloader
smooth:  smooth: Smooth effect
bayer:  bayer2rgb: Bayer to RGB decoder for cameras
bayer:  rgb2bayer: RGB to Bayer converter
tcp:  tcpclientsink: TCP client sink
tcp:  tcpclientsrc: TCP client source
tcp:  tcpserversink: TCP server sink
tcp:  tcpserversrc: TCP server source
tcp:  multifdsink: Multi filedescriptor sink
freeverb:  freeverb: Stereo positioning
dtmf:  dtmfdetect: DTMF detector element
dtmf:  dtmfsrc: DTMF tone generator
dtmf:  rtpdtmfsrc: RTP DTMF packet generator
dtmf:  rtpdtmfdepay: RTP DTMF packet depayloader
gaudieffects:  burn: Burn
gaudieffects:  chromium: Chromium
gaudieffects:  dilate: Dilate
gaudieffects:  dodge: Dodge
gaudieffects:  exclusion: Exclusion
gaudieffects:  solarize: Solarize
gaudieffects:  gaussianblur: GaussBlur
legacyresample:  legacyresample: Audio scaler
volume:  volume: Volume
geometrictransform:  circle: circle
geometrictransform:  diffuse: diffuse
geometrictransform:  kaleidoscope: kaleidoscope
geometrictransform:  marble: marble
geometrictransform:  pinch: pinch
geometrictransform:  rotate: rotate
geometrictransform:  sphere: sphere
geometrictransform:  twirl: twirl
geometrictransform:  waterripple: waterripple
geometrictransform:  stretch: stretch
geometrictransform:  bulge: bulge
geometrictransform:  tunnel: tunnel
geometrictransform:  square: square
geometrictransform:  mirror: mirror
geometrictransform:  fisheye: fisheye
openal:  openalsink: Audio sink (OpenAL)
openal:  openalsrc: OpenAL src
dvbsuboverlay:  dvbsuboverlay: DVB Subtitles Overlay
audioconvert:  audioconvert: Audio converter
pnm:  pnmdec: PNM image decoder
pnm:  pnmenc: PNM image encoder
gsettings:  gsettingsaudiosink: GSettings audio sink
gsettings:  gsettingsaudiosrc: GSettings audio src
gsettings:  gsettingsvideosink: GSettings video sink
gsettings:  gsettingsvideosrc: GSettings video src
jp2k:  jp2kdec: Jasper JPEG2000 image decoder
jp2k:  jp2kenc: Jasper JPEG2000 image encoder
vmnc:  vmncdec: VMnc video decoder
videoscale:  videoscale: Video scaler
kate:  katedec: Kate stream text decoder
kate:  kateenc: Kate stream encoder
kate:  kateparse: Kate stream parser
kate:  katetag: Kate stream tagger
kate:  tiger: Kate stream renderer
coreindexers:  memindex: A index that stores entries in memory
coreindexers:  fileindex: A index that stores entries in file
fieldanalysis:  fieldanalysis: Video field analysis
sdl:  sdlvideosink: SDL video sink
sdl:  sdlaudiosink: SDL audio sink
mpeg2enc:  mpeg2enc: mpeg2enc video encoder
removesilence:  removesilence: RemoveSilence
speed:  speed: Speed
musicbrainz:  trm: MusicBrainz TRM generator
h264parse:  legacyh264parse: H264Parse
typefindfunctions: video/x-ms-asf: asf, wm, wma, wmv
typefindfunctions: audio/x-musepack: mpc, mpp, mp+
typefindfunctions: audio/x-au: au, snd
typefindfunctions: video/x-msvideo: avi
typefindfunctions: audio/qcelp: qcp
typefindfunctions: video/x-cdxa: dat
typefindfunctions: video/x-vcd: dat
typefindfunctions: audio/x-imelody: imy, ime, imelody
typefindfunctions: audio/midi: mid, midi
typefindfunctions: audio/riff-midi: mid, midi
typefindfunctions: audio/mobile-xmf: mxmf
typefindfunctions: video/x-fli: flc, fli
typefindfunctions: application/x-id3v2: mp3, mp2, mp1, mpga, ogg, flac, tta
typefindfunctions: application/x-id3v1: mp3, mp2, mp1, mpga, ogg, flac, tta
typefindfunctions: application/x-apetag: mp3, ape, mpc, wv
typefindfunctions: audio/x-ttafile: tta
typefindfunctions: audio/x-mod: 669, amf, dsm, gdm, far, imf, it, med, mod, mtm, okt, sam, s3m, stm, stx, ult, xm
typefindfunctions: audio/mpeg: mp3, mp2, mp1, mpga
typefindfunctions: audio/x-ac3: ac3, eac3
typefindfunctions: audio/x-dts: dts
typefindfunctions: audio/x-gsm: gsm
typefindfunctions: video/mpeg-sys: mpe, mpeg, mpg
typefindfunctions: video/mpegts: ts, mts
typefindfunctions: application/ogg: anx, ogg, ogm
typefindfunctions: video/mpeg-elementary: mpv, mpeg, mpg
typefindfunctions: video/mpeg4: m4v
typefindfunctions: video/x-h263: h263, 263
typefindfunctions: video/x-h264: h264, x264, 264
typefindfunctions: video/x-nuv: nuv
typefindfunctions: audio/x-m4a: m4a
typefindfunctions: application/x-3gp: 3gp
typefindfunctions: video/quicktime: mov
typefindfunctions: image/x-quicktime: qif, qtif, qti
typefindfunctions: image/jp2: jp2
typefindfunctions: video/mj2: mj2
typefindfunctions: text/html: htm, html
typefindfunctions: application/vnd.rn-realmedia: ra, ram, rm, rmvb
typefindfunctions: application/x-pn-realaudio: ra, ram, rm, rmvb
typefindfunctions: application/x-shockwave-flash: swf, swfl
typefindfunctions: video/x-flv: flv
typefindfunctions: text/plain: txt
typefindfunctions: text/utf-16: txt
typefindfunctions: text/utf-32: txt
typefindfunctions: text/uri-list: ram
typefindfunctions: application/x-hls: m3u8
typefindfunctions: application/sdp: sdp
typefindfunctions: application/smil: smil
typefindfunctions: application/xml: xml
typefindfunctions: audio/x-wav: wav
typefindfunctions: audio/x-aiff: aiff, aif, aifc
typefindfunctions: audio/x-svx: iff, svx
typefindfunctions: audio/x-paris: paf
typefindfunctions: audio/x-nist: nist
typefindfunctions: audio/x-voc: voc
typefindfunctions: audio/x-sds: sds
typefindfunctions: audio/x-ircam: sf
typefindfunctions: audio/x-w64: w64
typefindfunctions: audio/x-shorten: shn
typefindfunctions: application/x-ape: ape
typefindfunctions: image/jpeg: jpg, jpe, jpeg
typefindfunctions: image/gif: gif
typefindfunctions: image/png: png
typefindfunctions: image/bmp: bmp
typefindfunctions: image/tiff: tif, tiff
typefindfunctions: image/x-portable-pixmap: pnm, ppm, pgm, pbm
typefindfunctions: video/x-matroska: mkv, mka
typefindfunctions: video/webm: webm
typefindfunctions: application/mxf: mxf
typefindfunctions: video/x-mve: mve
typefindfunctions: video/x-dv: dv, dif
typefindfunctions: audio/x-amr-nb-sh: amr
typefindfunctions: audio/x-amr-wb-sh: amr
typefindfunctions: audio/iLBC-sh: ilbc
typefindfunctions: audio/x-sid: sid
typefindfunctions: image/x-xcf: xcf
typefindfunctions: video/x-mng: mng
typefindfunctions: image/x-jng: jng
typefindfunctions: image/x-xpixmap: xpm
typefindfunctions: image/x-sun-raster: ras
typefindfunctions: application/x-bzip: bz2
typefindfunctions: application/x-gzip: gz
typefindfunctions: application/zip: zip
typefindfunctions: application/x-compress: Z
typefindfunctions: subtitle/x-kate: no extensions
typefindfunctions: audio/x-flac: flac
typefindfunctions: audio/x-vorbis: no extensions
typefindfunctions: video/x-theora: no extensions
typefindfunctions: application/x-ogm-video: no extensions
typefindfunctions: application/x-ogm-audio: no extensions
typefindfunctions: application/x-ogm-text: no extensions
typefindfunctions: audio/x-speex: no extensions
typefindfunctions: audio/x-celt: no extensions
typefindfunctions: application/x-ogg-skeleton: no extensions
typefindfunctions: text/x-cmml: no extensions
typefindfunctions: application/x-executable: no extensions
typefindfunctions: audio/aac: aac, adts, adif, loas
typefindfunctions: audio/x-spc: spc
typefindfunctions: audio/x-wavpack: wv, wvp
typefindfunctions: audio/x-wavpack-correction: wvc
typefindfunctions: application/postscript: ps
typefindfunctions: image/svg+xml: svg
typefindfunctions: application/x-rar: rar
typefindfunctions: application/x-tar: tar
typefindfunctions: application/x-ar: a
typefindfunctions: application/x-ms-dos-executable: dll, exe, ocx, sys, scr, msstyles, cpl
typefindfunctions: video/x-dirac: no extensions
typefindfunctions: multipart/x-mixed-replace: no extensions
typefindfunctions: application/x-mmsh: no extensions
typefindfunctions: video/vivo: viv
typefindfunctions: audio/x-nsf: nsf
typefindfunctions: audio/x-gym: gym
typefindfunctions: audio/x-ay: ay
typefindfunctions: audio/x-gbs: gbs
typefindfunctions: audio/x-vgm: vgm
typefindfunctions: audio/x-sap: sap
typefindfunctions: video/x-ivf: ivf
typefindfunctions: audio/x-kss: kss
typefindfunctions: application/pdf: pdf
typefindfunctions: application/msword: doc
typefindfunctions: application/octet-stream: DS_Store
typefindfunctions: image/vnd.adobe.photoshop: psd
typefindfunctions: image/vnd.wap.wbmp: no extensions
typefindfunctions: application/x-yuv4mpeg: y4m
typefindfunctions: image/x-icon: no extensions
typefindfunctions: xdgmime-base: no extensions
typefindfunctions: image/x-degas: no extensions
mplex:  mplex: mplex video multiplexer
frei0r:  frei0r-filter-r: R
frei0r:  frei0r-mixer-uv-map: UV Map
frei0r:  frei0r-src-nois0r: Nois0r
frei0r:  frei0r-filter-tint0r: Tint0r
frei0r:  frei0r-filter-colorhalftone: colorhalftone
frei0r:  frei0r-src-partik0l: Partik0l
frei0r:  frei0r-src-test-pat-r: test_pat_R
frei0r:  frei0r-filter-levels: Levels
frei0r:  frei0r-filter-baltan: Baltan
frei0r:  frei0r-filter-3-point-color-balance: 3 point color balance
frei0r:  frei0r-filter-posterize: posterize
frei0r:  frei0r-filter-pr0file: pr0file
frei0r:  frei0r-filter-alpha0ps: alpha0ps
frei0r:  frei0r-filter-iir-blur: IIR blur
frei0r:  frei0r-filter-c0rners: c0rners
frei0r:  frei0r-src-test-pat-l: test_pat_L
frei0r:  frei0r-mixer-hardlight: hardlight
frei0r:  frei0r-filter-pixeliz0r: pixeliz0r
frei0r:  frei0r-mixer-hue: hue
frei0r:  frei0r-src-test-pat-b: test_pat_B
frei0r:  frei0r-filter-saturat0r: Saturat0r
frei0r:  frei0r-filter-facebl0r: FaceBl0r
frei0r:  frei0r-filter-curves: Curves
frei0r:  frei0r-src-lissajous0r: Lissajous0r
frei0r:  frei0r-src-test-pat-g: test_pat_G
frei0r:  frei0r-filter-cartoon: Cartoon
frei0r:  frei0r-filter-spillsupress: spillsupress
frei0r:  frei0r-filter-sobel: Sobel
frei0r:  frei0r-mixer-overlay: overlay
frei0r:  frei0r-filter-light-graffiti: Light Graffiti
frei0r:  frei0r-filter-delay0r: delay0r
frei0r:  frei0r-mixer-dodge: dodge
frei0r:  frei0r-filter-delaygrab: Delaygrab
frei0r:  frei0r-filter-invert0r: Invert0r
frei0r:  frei0r-filter-luminance: Luminance
frei0r:  frei0r-filter-glow: Glow
frei0r:  frei0r-filter-select0r: select0r
frei0r:  frei0r-filter-nervous: Nervous
frei0r:  frei0r-mixer-composition: Composition
frei0r:  frei0r-mixer-value: value
frei0r:  frei0r-filter-brightness: Brightness
frei0r:  frei0r-mixer-alphain: alphain
frei0r:  frei0r-mixer-subtract: subtract
frei0r:  frei0r-filter-contrast0r: Contrast0r
frei0r:  frei0r-mixer-screen: screen
frei0r:  frei0r-filter-medians: Medians
frei0r:  frei0r-filter-colorize: colorize
frei0r:  frei0r-filter-defish0r: Defish0r
frei0r:  frei0r-filter-g: G
frei0r:  frei0r-mixer-cairoaffineblend: cairoaffineblend
frei0r:  frei0r-filter-cairoimagegrid: cairoimagegrid
frei0r:  frei0r-src-test-pat-c: test_pat_C
frei0r:  frei0r-filter-vignette: Vignette
frei0r:  frei0r-mixer-difference: difference
frei0r:  frei0r-filter-hqdn3d: hqdn3d
frei0r:  frei0r-filter-alphaspot: alphaspot
frei0r:  frei0r-filter-nikon-d90-stairstepping-fix: Nikon D90 Stairstepping fix
frei0r:  frei0r-filter-lens-correction: Lens Correction
frei0r:  frei0r-mixer-divide: divide
frei0r:  frei0r-filter-nosync0r: nosync0r
frei0r:  frei0r-filter-rgb-parade: RGB-Parade
frei0r:  frei0r-filter-bw0r: bw0r
frei0r:  frei0r-filter-primaries: primaries
frei0r:  frei0r-filter-white-balance: White Balance
frei0r:  frei0r-filter-sigmoidaltransfer: sigmoidaltransfer
frei0r:  frei0r-filter-coloradj-rgb: coloradj_RGB
frei0r:  frei0r-filter-edgeglow: Edgeglow
frei0r:  frei0r-filter-cairogradient: cairogradient
frei0r:  frei0r-mixer-addition-alpha: addition_alpha
frei0r:  frei0r-filter-tehroxx0r: TehRoxx0r
frei0r:  frei0r-src-test-pat-i: test_pat_I
frei0r:  frei0r-filter-sharpness: Sharpness
frei0r:  frei0r-filter-opencvfacedetect: opencvfacedetect
frei0r:  frei0r-filter-gamma: Gamma
frei0r:  frei0r-filter-colortap: colortap
frei0r:  frei0r-mixer-saturation: saturation
frei0r:  frei0r-filter-threshold0r: Threshold0r
frei0r:  frei0r-mixer-alphaover: alphaover
frei0r:  frei0r-filter-squareblur: Squareblur
frei0r:  frei0r-filter-vectorscope: Vectorscope
frei0r:  frei0r-mixer-grain-merge: grain_merge
frei0r:  frei0r-filter-bluescreen0r: bluescreen0r
frei0r:  frei0r-filter-softglow: softglow
frei0r:  frei0r-filter-letterb0xed: LetterB0xed
frei0r:  frei0r-mixer-darken: darken
frei0r:  frei0r-filter-perspective: Perspective
frei0r:  frei0r-filter-keyspillm0pup: keyspillm0pup
frei0r:  frei0r-filter-color-distance: Color Distance
frei0r:  frei0r-filter-vertigo: Vertigo
frei0r:  frei0r-filter-distort0r: Distort0r
frei0r:  frei0r-mixer-rgb: RGB
frei0r:  frei0r-mixer-grain-extract: grain_extract
frei0r:  frei0r-filter-timeout-indicator: Timeout indicator
frei0r:  frei0r-mixer-softlight: softlight
frei0r:  frei0r-mixer-burn: burn
frei0r:  frei0r-mixer-xfade0r: xfade0r
frei0r:  frei0r-filter-equaliz0r: Equaliz0r
frei0r:  frei0r-mixer-addition: addition
frei0r:  frei0r-src-ising0r: Ising0r
frei0r:  frei0r-filter-hueshift0r: Hueshift0r
frei0r:  frei0r-filter-rgbnoise: rgbnoise
frei0r:  frei0r-filter-sop-sat: SOP/Sat
frei0r:  frei0r-filter-k-means-clustering: K-Means Clustering
frei0r:  frei0r-mixer-multiply: multiply
frei0r:  frei0r-src-onecol0r: onecol0r
frei0r:  frei0r-mixer-alphaatop: alphaatop
frei0r:  frei0r-mixer-alphaxor: alphaxor
frei0r:  frei0r-filter-white-balance--lms-space-: White Balance (LMS space)
frei0r:  frei0r-filter-transparency: Transparency
frei0r:  frei0r-filter-pr0be: pr0be
frei0r:  frei0r-filter-mask0mate: Mask0Mate
frei0r:  frei0r-filter-emboss: emboss
frei0r:  frei0r-filter-dither: dither
frei0r:  frei0r-mixer-alpha-injection: Alpha Injection
frei0r:  frei0r-filter-twolay0r: Twolay0r
frei0r:  frei0r-mixer-blend: blend
frei0r:  frei0r-mixer-lighten: lighten
frei0r:  frei0r-filter-threelay0r: threelay0r
frei0r:  frei0r-filter-3dflippo: 3dflippo
frei0r:  frei0r-filter-flippo: Flippo
frei0r:  frei0r-mixer-alphaout: alphaout
frei0r:  frei0r-mixer-cairoblend: cairoblend
frei0r:  frei0r-filter-scale0tilt: Scale0Tilt
frei0r:  frei0r-src-plasma: Plasma
frei0r:  frei0r-mixer-color-only: color_only
frei0r:  frei0r-filter-alphagrad: alphagrad
frei0r:  frei0r-filter-b: B
frei0r:  frei0r-filter-scanline0r: scanline0r
aiff:  aiffparse: AIFF audio demuxer
aiff:  aiffmux: AIFF audio muxer
patchdetect:  patchdetect: Color Patch Detector
videomeasure:  ssim: SSim
videomeasure:  measurecollector: Video measure collector
app:  appsrc: AppSrc
app:  appsink: AppSink
videomaxrate:  videomaxrate: Video maximum rate adjuster
videofiltersbad:  scenechange: Scene change detector
videofiltersbad:  zebrastripe: Zebra stripe overlay
mpegdemux2:  mpegpsdemux: The Fluendo MPEG Program Stream Demuxer
mpegdemux2:  mpegtsdemux: The Fluendo MPEG Transport stream demuxer
mpegdemux2:  mpegtsparse: MPEG transport stream parser
dc1394:  dc1394src: 1394 IIDC Video Source
pango:  textoverlay: Text overlay
pango:  timeoverlay: Time overlay
pango:  clockoverlay: Clock overlay
pango:  textrender: Text renderer
audiotestsrc:  audiotestsrc: Audio test source
cdxaparse:  cdxaparse: (S)VCD parser
cdxaparse:  vcdparse: (S)VCD stream parser
camerabin2:  viewfinderbin: Viewfinder Bin
camerabin2:  wrappercamerabinsrc: V4l2 camera src element for camerabin
camerabin2:  camerabin2: CameraBin2
opus:  opusenc: Opus audio encoder
opus:  opusdec: Opus audio decoder
opus:  opusparse: Opus audio parser
opus:  rtpopusdepay: RTP Opus packet depayloader
opus:  rtpopuspay: RTP Opus payloader
faceoverlay:  faceoverlay: faceoverlay
gmedec:  gmedec: Gaming console music file decoder
dirac:  diracenc: Dirac Encoder
liveadder:  liveadder: Live Adder element
staticelements:  bin: Generic bin
staticelements:  pipeline: Pipeline object

Total count: 147 plugins, 567 features

Whiteboard: (none) => mga5-32-ok

Comment 10 PC LX 2017-10-08 16:33:39 CEST
Installed, tested (somewhat) and found no issues.

To test I used the file http://security.appspot.com/security/nsf/cv2.nsf from https://scarybeastsecurity.blogspot.pt/2016/11/0day-exploit-compromising-linux-desktop.html .

$ uname -a
Linux marte 4.4.89-desktop-1.mga5 #1 SMP Wed Sep 27 16:25:14 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
$ rpm -qa | grep gstreamer.*0.10 | sort
gstreamer0.10-ffmpeg-0.10.13-19.mga5
gstreamer0.10-plugins-bad-0.10.23-22.1.mga5
gstreamer0.10-plugins-base-0.10.36-9.2.mga5
gstreamer0.10-plugins-good-0.10.31-9.2.mga5
gstreamer0.10-plugins-ugly-0.10.19-14.1.mga5.tainted
gstreamer0.10-pulse-0.10.31-9.2.mga5
gstreamer0.10-python-0.10.22-8.mga5
gstreamer0.10-soup-0.10.31-9.2.mga5
gstreamer0.10-tools-0.10.36-12.mga5
gstreamer0.10-voip-0.10.23-22.1.mga5
lib64gstreamer0.10_0-0.10.36-12.mga5
lib64gstreamer-plugins-base0.10_0-0.10.36-9.2.mga5
libgstreamer0.10_0-0.10.36-12.mga5
libgstreamer-plugins-base0.10_0-0.10.36-9.2.mga5
$ gst-inspect-0.10 nsf
Plugin Details:
  Name:                 nsf
  Description:          Uses nosefart to decode .nsf files
  Filename:             /usr/lib64/gstreamer-0.10/libgstnsf.so
  Version:              0.10.23
  License:              GPL
  Source module:        gst-plugins-bad
  Source release date:  2012-02-20
  Binary package:       Mageia gstreamer0.10-plugins-bad package
  Origin URL:           http://www.mageia.org/

  nsfdec: Nsf decoder

  1 features:
  +-- 1 elements

$ gst-discoverer-0.10 cv2.nsf
Analyzing file:///home/pedro/tmp/cv2.nsf
Done discovering file:///home/pedro/tmp/cv2.nsf

Topology:
  audio: Nintendo NSF

Properties:
  Duration: 0:00:00.000000000
  Seekable: no
  Tags: 
      CODEC de áudio: NES Sound Format
      artista: <?>
      título: Castlevania 2

$ gst-inspect-0.10 
y4menc:  y4menc: YUV4MPEG video encoder
ximagesrc:  ximagesrc: Ximage video source
wavparse:  wavparse: WAV audio demuxer
wavenc:  wavenc: WAV audio muxer
videomixer:  videomixer2: Video mixer 2
videomixer:  videomixer: Video mixer
videofilter:  videoflip: Video flipper
videofilter:  videobalance: Video balance
videofilter:  gamma: Video gamma correction
videocrop:  aspectratiocrop: aspectratiocrop
videocrop:  videocrop: Crop
videobox:  videobox: Video box filter
video4linux2:  v4l2radio: Radio (video4linux2) Tuner
video4linux2:  v4l2sink: Video (video4linux2) Sink
video4linux2:  v4l2src: Video (video4linux2) Source
udp:  udpsrc: UDP packet receiver
udp:  dynudpsink: UDP packet sender
udp:  multiudpsink: UDP packet sender
udp:  udpsink: UDP packet sender
taglib:  apev2mux: TagLib-based APEv2 Muxer
taglib:  id3v2mux: TagLib-based ID3v2 Muxer
spectrum:  spectrum: Spectrum analyzer
smpte:  smptealpha: SMPTE transitions
smpte:  smpte: SMPTE transitions
shout2send:  shout2send: Icecast network sink
shapewipe:  shapewipe: Shape Wipe transition filter
rtsp:  rtpdec: RTP Decoder
rtsp:  rtspsrc: RTSP packet receiver
gstrtpmanager:  gstrtpssrcdemux: RTP SSRC Demux
gstrtpmanager:  gstrtpsession: RTP Session
gstrtpmanager:  gstrtpptdemux: RTP Demux
gstrtpmanager:  gstrtpjitterbuffer: RTP packet jitter-buffer
gstrtpmanager:  gstrtpbin: RTP Bin
rtp:  rtpvrawpay: RTP Raw Video payloader
rtp:  rtpvrawdepay: RTP Raw Video depayloader
rtp:  rtpvorbispay: RTP Vorbis depayloader
rtp:  rtpvorbisdepay: RTP Vorbis depayloader
rtp:  rtptheorapay: RTP Theora payloader
rtp:  rtptheoradepay: RTP Theora depayloader
rtp:  rtpsv3vdepay: RTP SVQ3 depayloader
rtp:  rtpspeexdepay: RTP Speex depayloader
rtp:  rtpspeexpay: RTP Speex payloader
rtp:  rtpsirendepay: RTP Siren packet depayloader
rtp:  rtpsirenpay: RTP Payloader for Siren Audio
rtp:  rtpqdm2depay: RTP QDM2 depayloader
rtp:  rtpqcelpdepay: RTP QCELP depayloader
rtp:  rtpmp4gpay: RTP MPEG4 ES payloader
rtp:  rtpmp4gdepay: RTP MPEG4 ES depayloader
rtp:  rtpmp4adepay: RTP MPEG4 audio depayloader
rtp:  rtpmp4apay: RTP MPEG4 audio payloader
rtp:  rtpmp4vdepay: RTP MPEG4 video depayloader
rtp:  rtpmp4vpay: RTP MPEG4 Video payloader
rtp:  rtpmp2tpay: RTP MPEG2 Transport Stream payloader
rtp:  rtpmp2tdepay: RTP MPEG Transport Stream depayloader
rtp:  rtpmp1sdepay: RTP MPEG1 System Stream depayloader
rtp:  asteriskh263: RTP Asterisk H263 depayloader
rtp:  rtpL16depay: RTP audio depayloader
rtp:  rtpL16pay: RTP audio payloader
rtp:  rtpjpegpay: RTP JPEG payloader
rtp:  rtpjpegdepay: RTP JPEG depayloader
rtp:  rtpj2kpay: RTP JPEG 2000 payloader
rtp:  rtpj2kdepay: RTP JPEG 2000 depayloader
rtp:  rtph264pay: RTP H264 payloader
rtp:  rtph264depay: RTP H264 depayloader
rtp:  rtph263pay: RTP H263 packet payloader
rtp:  rtph263depay: RTP H263 depayloader
rtp:  rtph263pdepay: RTP H263 depayloader
rtp:  rtph263ppay: RTP H263 payloader
rtp:  rtpmpvpay: RTP MPEG2 ES video payloader
rtp:  rtpmpvdepay: RTP MPEG video depayloader
rtp:  rtpmparobustdepay: RTP MPEG audio depayloader
rtp:  rtpmpapay: RTP MPEG audio payloader
rtp:  rtpmpadepay: RTP MPEG audio depayloader
rtp:  rtppcmapay: RTP PCMA payloader
rtp:  rtppcmupay: RTP PCMU payloader
rtp:  rtppcmudepay: RTP PCMU depayloader
rtp:  rtppcmadepay: RTP PCMA depayloader
rtp:  rtpamrpay: RTP AMR payloader
rtp:  rtpamrdepay: RTP AMR depayloader
rtp:  rtpgsmpay: RTP GSM payloader
rtp:  rtpgsmdepay: RTP GSM depayloader
rtp:  rtpg729pay: RTP G.729 payloader
rtp:  rtpg729depay: RTP G.729 depayloader
rtp:  rtpg726pay: RTP G.726 payloader
rtp:  rtpg726depay: RTP G.726 depayloader
rtp:  rtpg723pay: RTP G.723 payloader
rtp:  rtpg723depay: RTP G.723 depayloader
rtp:  rtpg722pay: RTP audio payloader
rtp:  rtpg722depay: RTP audio depayloader
rtp:  rtpilbcdepay: RTP iLBC depayloader
rtp:  rtpilbcpay: RTP iLBC Payloader
rtp:  rtpgstpay: RTP GStreamer payloader
rtp:  rtpgstdepay: GStreamer depayloader
rtp:  rtpdvpay: RTP DV Payloader
rtp:  rtpdvdepay: RTP DV Depayloader
rtp:  rtpceltpay: RTP CELT payloader
rtp:  rtpceltdepay: RTP CELT depayloader
rtp:  rtpbvpay: RTP BV Payloader
rtp:  rtpbvdepay: RTP BroadcomVoice depayloader
rtp:  rtpac3pay: RTP AC3 audio payloader
rtp:  rtpac3depay: RTP AC3 depayloader
rtp:  rtpdepay: Dummy RTP session manager
replaygain:  rgvolume: ReplayGain volume
replaygain:  rglimiter: ReplayGain limiter
replaygain:  rganalysis: ReplayGain analysis
png:  pngenc: PNG image encoder
png:  pngdec: PNG image decoder
ossaudio:  osssink: Audio Sink (OSS)
ossaudio:  osssrc: Audio Source (OSS)
ossaudio:  ossmixer: OSS Mixer
oss4:  oss4mixer: OSS v4 Audio Mixer
oss4:  oss4src: OSS v4 Audio Source
oss4:  oss4sink: OSS v4 Audio Sink
navigationtest:  navigationtest: Video navigation test
multipart:  multipartmux: Multipart muxer
multipart:  multipartdemux: Multipart demuxer
multifile:  splitfilesrc: Split-File Source
multifile:  multifilesink: Multi-File Sink
multifile:  multifilesrc: Multi-File Source
mulaw:  mulawdec: Mu Law audio decoder
mulaw:  mulawenc: Mu Law audio encoder
monoscope:  monoscope: Monoscope
matroska:  webmmux: WebM muxer
matroska:  matroskamux: Matroska muxer
matroska:  matroskaparse: Matroska parser
matroska:  matroskademux: Matroska demuxer
level:  level: Level
jpeg:  smokedec: Smoke video decoder
jpeg:  smokeenc: Smoke video encoder
jpeg:  jpegdec: JPEG image decoder
jpeg:  jpegenc: JPEG image encoder
isomp4:  qtmoovrecover: QT Moov Recover
isomp4:  mj2mux: MJ2 Muxer
isomp4:  gppmux: 3GPP Muxer
isomp4:  3gppmux: 3GPP Muxer
isomp4:  ismlmux: ISML Muxer
isomp4:  mp4mux: MP4 Muxer
isomp4:  qtmux: QuickTime Muxer
isomp4:  rtpxqtdepay: RTP packet depayloader
isomp4:  qtdemux: QuickTime demuxer
interleave:  deinterleave: Audio deinterleaver
interleave:  interleave: Audio interleaver
imagefreeze:  imagefreeze: Still frame stream generator
id3demux:  id3demux: ID3 tag demuxer
icydemux:  icydemux: ICY tag demuxer
goom2k1:  goom2k1: GOOM: what a GOOM! 2k1 edition
goom:  goom: GOOM: what a GOOM!
gdkpixbuf:  gdkpixbufscale: GdkPixbuf image scaler
gdkpixbuf:  gdkpixbufsink: GdkPixbuf sink
gdkpixbuf:  gdkpixbufdec: GdkPixbuf image decoder
gconfelements:  gconfaudiosrc: GConf audio source
gconfelements:  gconfaudiosink: GConf audio sink
gconfelements:  gconfvideosrc: GConf video source
gconfelements:  gconfvideosink: GConf video sink
flv:  flvmux: FLV muxer
flv:  flvdemux: FLV Demuxer
equalizer:  equalizer-10bands: 10 Band Equalizer
equalizer:  equalizer-3bands: 3 Band Equalizer
equalizer:  equalizer-nbands: N Band Equalizer
effectv:  rippletv: RippleTV effect
effectv:  streaktv: StreakTV effect
effectv:  radioactv: RadioacTV effect
effectv:  optv: OpTV effect
effectv:  quarktv: QuarkTV effect
effectv:  revtv: RevTV effect
effectv:  vertigotv: VertigoTV effect
effectv:  shagadelictv: ShagadelicTV
effectv:  warptv: WarpTV effect
effectv:  dicetv: DiceTV effect
effectv:  agingtv: AgingTV effect
effectv:  edgetv: EdgeTV effect
efence:  efence: Electric Fence
deinterlace:  deinterlace: Deinterlacer
debug:  cpureport: CPU report
debug:  capsdebug: Caps debug
debug:  testsink: Test plugin
debug:  taginject: TagInject
debug:  progressreport: Progress report
debug:  pushfilesrc: Push File Source
debug:  navseek: Seek based on left-right arrows
debug:  rndbuffersize: Random buffer size
debug:  capssetter: CapsSetter
debug:  breakmydata: Break my data
cutter:  cutter: Audio cutter
cairo:  cairorender: Cairo encoder
cairo:  cairooverlay: Cairo overlay
cairo:  cairotimeoverlay: Time overlay
cairo:  cairotextoverlay: Text overlay
avi:  avisubtitle: Avi subtitle parser
avi:  avimux: Avi muxer
avi:  avidemux: Avi demuxer
autodetect:  autoaudiosrc: Auto audio source
autodetect:  autoaudiosink: Auto audio sink
autodetect:  autovideosrc: Auto video source
autodetect:  autovideosink: Auto video sink
auparse:  auparse: AU audio demuxer
audioparsers:  mpegaudioparse: MPEG1 Audio Parser
audioparsers:  flacparse: FLAC audio parser
audioparsers:  dcaparse: DTS Coherent Acoustics audio stream parser
audioparsers:  ac3parse: AC3 audio stream parser
audioparsers:  amrparse: AMR audio stream parser
audioparsers:  aacparse: AAC audio stream parser
audiofx:  audioecho: Audio echo
audiofx:  audiofirfilter: Audio FIR filter
audiofx:  audiowsincband: Band pass & band reject filter
audiofx:  audiowsinclimit: Low pass & high pass filter
audiofx:  audioiirfilter: Audio IIR filter
audiofx:  audiochebband: Band pass & band reject filter
audiofx:  audiocheblimit: Low pass & high pass filter
audiofx:  audiodynamic: Dynamic range controller
audiofx:  audioamplify: Audio amplifier
audiofx:  audiokaraoke: AudioKaraoke
audiofx:  audioinvert: Audio inversion
audiofx:  audiopanorama: Stereo positioning
apetag:  apedemux: APE tag demuxer
annodex:  cmmldec: CMML stream decoder
annodex:  cmmlenc: CMML streams encoder
alphacolor:  alphacolor: Alpha color filter
alpha:  alpha: Alpha filter
alaw:  alawdec: A Law audio decoder
alaw:  alawenc: A Law audio encoder
soup:  souphttpclientsink: HTTP client sink
soup:  souphttpsrc: HTTP client source
pulseaudio:  pulsemixer: PulseAudio Mixer
pulseaudio:  pulseaudiosink: Bin wrapping pulsesink
pulseaudio:  pulsesrc: PulseAudio Audio Source
pulseaudio:  pulsesink: PulseAudio Audio Sink
postproc:  postproc_hdeblock: LibPostProc hdeblock filter
postproc:  postproc_vdeblock: LibPostProc vdeblock filter
postproc:  postproc_x1hdeblock: LibPostProc x1hdeblock filter
postproc:  postproc_x1vdeblock: LibPostProc x1vdeblock filter
postproc:  postproc_ahdeblock: LibPostProc ahdeblock filter
postproc:  postproc_avdeblock: LibPostProc avdeblock filter
postproc:  postproc_dering: LibPostProc dering filter
postproc:  postproc_autolevels: LibPostProc autolevels filter
postproc:  postproc_linblenddeint: LibPostProc linblenddeint filter
postproc:  postproc_linipoldeint: LibPostProc linipoldeint filter
postproc:  postproc_cubicipoldeint: LibPostProc cubicipoldeint filter
postproc:  postproc_mediandeint: LibPostProc mediandeint filter
postproc:  postproc_ffmpegdeint: LibPostProc ffmpegdeint filter
postproc:  postproc_lowpass5: LibPostProc lowpass5 filter
postproc:  postproc_tmpnoise: LibPostProc tmpnoise filter
postproc:  postproc_forcequant: LibPostProc forcequant filter
postproc:  postproc_default: LibPostProc default filter
ffvideoscale:  ffvideoscale: FFMPEG Scale element
ffmpeg:  ffenc_a64multi: FFmpeg Multicolor charset for Commodore 64 encoder
ffmpeg:  ffenc_a64multi5: FFmpeg Multicolor charset for Commodore 64, extended with 5th color (colram) encoder
ffmpeg:  ffenc_alias_pix: FFmpeg Alias/Wavefront PIX image encoder
ffmpeg:  ffenc_amv: FFmpeg AMV Video encoder
ffmpeg:  ffenc_asv1: FFmpeg ASUS V1 encoder
ffmpeg:  ffenc_asv2: FFmpeg ASUS V2 encoder
ffmpeg:  ffenc_avrp: FFmpeg Avid 1:1 10-bit RGB Packer encoder
ffmpeg:  ffenc_avui: FFmpeg Avid Meridien Uncompressed encoder
ffmpeg:  ffenc_ayuv: FFmpeg Uncompressed packed MS 4:4:4:4 encoder
ffmpeg:  ffenc_bmp: FFmpeg BMP (Windows and OS/2 bitmap) encoder
ffmpeg:  ffenc_cinepak: FFmpeg Cinepak / CVID encoder
ffmpeg:  ffenc_cljr: FFmpeg Cirrus Logic AccuPak encoder
ffmpeg:  ffenc_comfortnoise: FFmpeg RFC 3389 comfort noise generator encoder
ffmpeg:  ffenc_dnxhd: FFmpeg VC3/DNxHD encoder
ffmpeg:  ffenc_dpx: FFmpeg DPX (Digital Picture Exchange) image encoder
ffmpeg:  ffenc_dvvideo: FFmpeg DV (Digital Video) encoder
ffmpeg:  ffenc_ffv1: FFmpeg FFmpeg video codec #1 encoder
ffmpeg:  ffenc_ffvhuff: FFmpeg Huffyuv FFmpeg variant encoder
ffmpeg:  ffenc_flashsv: FFmpeg Flash Screen Video encoder
ffmpeg:  ffenc_flashsv2: FFmpeg Flash Screen Video Version 2 encoder
ffmpeg:  ffenc_flv: FFmpeg FLV / Sorenson Spark / Sorenson H.263 (Flash Video) encoder
ffmpeg:  ffenc_h261: FFmpeg H.261 encoder
ffmpeg:  ffenc_h263: FFmpeg H.263 / H.263-1996 encoder
ffmpeg:  ffenc_h263p: FFmpeg H.263+ / H.263-1998 / H.263 version 2 encoder
ffmpeg:  ffenc_huffyuv: FFmpeg Huffyuv / HuffYUV encoder
ffmpeg:  ffenc_jpeg2000: FFmpeg JPEG 2000 encoder
ffmpeg:  ffenc_jpegls: FFmpeg JPEG-LS encoder
ffmpeg:  ffenc_ljpeg: FFmpeg Lossless JPEG encoder
ffmpeg:  ffenc_mjpeg: FFmpeg MJPEG (Motion JPEG) encoder
ffmpeg:  ffenc_mpeg1video: FFmpeg MPEG-1 video encoder
ffmpeg:  ffenc_mpeg2video: FFmpeg MPEG-2 video encoder
ffmpeg:  ffenc_mpeg4: FFmpeg MPEG-4 part 2 encoder
ffmpeg:  ffenc_msmpeg4v2: FFmpeg MPEG-4 part 2 Microsoft variant version 2 encoder
ffmpeg:  ffenc_msmpeg4: FFmpeg MPEG-4 part 2 Microsoft variant version 3 encoder
ffmpeg:  ffenc_msvideo1: FFmpeg Microsoft Video-1 encoder
ffmpeg:  ffenc_pam: FFmpeg PAM (Portable AnyMap) image encoder
ffmpeg:  ffenc_pbm: FFmpeg PBM (Portable BitMap) image encoder
ffmpeg:  ffenc_pcx: FFmpeg PC Paintbrush PCX image encoder
ffmpeg:  ffenc_pgm: FFmpeg PGM (Portable GrayMap) image encoder
ffmpeg:  ffenc_pgmyuv: FFmpeg PGMYUV (Portable GrayMap YUV) image encoder
ffmpeg:  ffenc_png: FFmpeg PNG (Portable Network Graphics) image encoder
ffmpeg:  ffenc_ppm: FFmpeg PPM (Portable PixelMap) image encoder
ffmpeg:  ffenc_prores: FFmpeg Apple ProRes encoder
ffmpeg:  ffenc_prores_aw: FFmpeg Apple ProRes encoder
ffmpeg:  ffenc_prores_ks: FFmpeg Apple ProRes (iCodec Pro) encoder
ffmpeg:  ffenc_qtrle: FFmpeg QuickTime Animation (RLE) video encoder
ffmpeg:  ffenc_r10k: FFmpeg AJA Kona 10-bit RGB Codec encoder
ffmpeg:  ffenc_roqvideo: FFmpeg id RoQ video encoder
ffmpeg:  ffenc_rv10: FFmpeg RealVideo 1.0 encoder
ffmpeg:  ffenc_rv20: FFmpeg RealVideo 2.0 encoder
ffmpeg:  ffenc_s302m: FFmpeg SMPTE 302M encoder
ffmpeg:  ffenc_sgi: FFmpeg SGI image encoder
ffmpeg:  ffenc_snow: FFmpeg Snow encoder
ffmpeg:  ffenc_sunrast: FFmpeg Sun Rasterfile image encoder
ffmpeg:  ffenc_svq1: FFmpeg Sorenson Vector Quantizer 1 / Sorenson Video 1 / SVQ1 encoder
ffmpeg:  ffenc_targa: FFmpeg Truevision Targa image encoder
ffmpeg:  ffenc_tiff: FFmpeg TIFF image encoder
ffmpeg:  ffenc_utvideo: FFmpeg Ut Video encoder
ffmpeg:  ffenc_v308: FFmpeg Uncompressed packed 4:4:4 encoder
ffmpeg:  ffenc_v408: FFmpeg Uncompressed packed QT 4:4:4:4 encoder
ffmpeg:  ffenc_v410: FFmpeg Uncompressed 4:4:4 10-bit encoder
ffmpeg:  ffenc_wmv1: FFmpeg Windows Media Video 7 encoder
ffmpeg:  ffenc_wmv2: FFmpeg Windows Media Video 8 encoder
ffmpeg:  ffenc_xbm: FFmpeg XBM (X BitMap) image encoder
ffmpeg:  ffenc_xface: FFmpeg X-face image encoder
ffmpeg:  ffenc_xwd: FFmpeg XWD (X Window Dump) image encoder
ffmpeg:  ffenc_y41p: FFmpeg Uncompressed YUV 4:1:1 12-bit encoder
ffmpeg:  ffenc_yuv4: FFmpeg Uncompressed packed 4:2:0 encoder
ffmpeg:  ffenc_zmbv: FFmpeg Zip Motion Blocks Video encoder
ffmpeg:  ffenc_aac: FFmpeg AAC (Advanced Audio Coding) encoder
ffmpeg:  ffenc_ac3: FFmpeg ATSC A/52A (AC-3) encoder
ffmpeg:  ffenc_ac3_fixed: FFmpeg ATSC A/52A (AC-3) encoder
ffmpeg:  ffenc_alac: FFmpeg ALAC (Apple Lossless Audio Codec) encoder
ffmpeg:  ffenc_dca: FFmpeg DCA (DTS Coherent Acoustics) encoder
ffmpeg:  ffenc_eac3: FFmpeg ATSC A/52 E-AC-3 encoder
ffmpeg:  ffenc_g723_1: FFmpeg G.723.1 encoder
ffmpeg:  ffenc_mp2: FFmpeg MP2 (MPEG audio layer 2) encoder
ffmpeg:  ffenc_mp2fixed: FFmpeg MP2 fixed point (MPEG audio layer 2) encoder
ffmpeg:  ffenc_nellymoser: FFmpeg Nellymoser Asao encoder
ffmpeg:  ffenc_real_144: FFmpeg RealAudio 1.0 (14.4K) encoder
ffmpeg:  ffenc_sonic: FFmpeg Sonic encoder
ffmpeg:  ffenc_sonicls: FFmpeg Sonic lossless encoder
ffmpeg:  ffenc_tta: FFmpeg TTA (True Audio) encoder
ffmpeg:  ffenc_wavpack: FFmpeg WavPack encoder
ffmpeg:  ffenc_wmav1: FFmpeg Windows Media Audio 1 encoder
ffmpeg:  ffenc_wmav2: FFmpeg Windows Media Audio 2 encoder
ffmpeg:  ffenc_pcm_s8_planar: FFmpeg PCM signed 8-bit planar encoder
ffmpeg:  ffenc_pcm_s16be_planar: FFmpeg PCM signed 16-bit big-endian planar encoder
ffmpeg:  ffenc_pcm_s24le_planar: FFmpeg PCM signed 24-bit little-endian planar encoder
ffmpeg:  ffenc_pcm_s32le_planar: FFmpeg PCM signed 32-bit little-endian planar encoder
ffmpeg:  ffenc_roq_dpcm: FFmpeg id RoQ DPCM encoder
ffmpeg:  ffenc_adpcm_adx: FFmpeg SEGA CRI ADX ADPCM encoder
ffmpeg:  ffenc_g722: FFmpeg G.722 ADPCM encoder
ffmpeg:  ffenc_g726: FFmpeg G.726 ADPCM encoder
ffmpeg:  ffenc_adpcm_ima_qt: FFmpeg ADPCM IMA QuickTime encoder
ffmpeg:  ffenc_adpcm_ima_wav: FFmpeg ADPCM IMA WAV encoder
ffmpeg:  ffenc_adpcm_ms: FFmpeg ADPCM Microsoft encoder
ffmpeg:  ffenc_adpcm_swf: FFmpeg ADPCM Shockwave Flash encoder
ffmpeg:  ffenc_adpcm_yamaha: FFmpeg ADPCM Yamaha encoder
ffmpeg:  ffdec_aasc: FFmpeg Autodesk RLE decoder
ffmpeg:  ffdec_aic: FFmpeg Apple Intermediate Codec decoder
ffmpeg:  ffdec_alias_pix: FFmpeg Alias/Wavefront PIX image decoder
ffmpeg:  ffdec_amv: FFmpeg AMV Video decoder
ffmpeg:  ffdec_anm: FFmpeg Deluxe Paint Animation decoder
ffmpeg:  ffdec_ansi: FFmpeg ASCII/ANSI art decoder
ffmpeg:  ffdec_asv1: FFmpeg ASUS V1 decoder
ffmpeg:  ffdec_asv2: FFmpeg ASUS V2 decoder
ffmpeg:  ffdec_aura: FFmpeg Auravision AURA decoder
ffmpeg:  ffdec_aura2: FFmpeg Auravision Aura 2 decoder
ffmpeg:  ffdec_avrp: FFmpeg Avid 1:1 10-bit RGB Packer decoder
ffmpeg:  ffdec_avrn: FFmpeg Avid AVI Codec decoder
ffmpeg:  ffdec_avs: FFmpeg AVS (Audio Video Standard) video decoder
ffmpeg:  ffdec_avui: FFmpeg Avid Meridien Uncompressed decoder
ffmpeg:  ffdec_ayuv: FFmpeg Uncompressed packed MS 4:4:4:4 decoder
ffmpeg:  ffdec_bethsoftvid: FFmpeg Bethesda VID video decoder
ffmpeg:  ffdec_bfi: FFmpeg Brute Force & Ignorance decoder
ffmpeg:  ffdec_binkvideo: FFmpeg Bink video decoder
ffmpeg:  ffdec_bmp: FFmpeg BMP (Windows and OS/2 bitmap) decoder
ffmpeg:  ffdec_bmv_video: FFmpeg Discworld II BMV video decoder
ffmpeg:  ffdec_brender_pix: FFmpeg BRender PIX image decoder
ffmpeg:  ffdec_c93: FFmpeg Interplay C93 decoder
ffmpeg:  ffdec_cavs: FFmpeg Chinese AVS (Audio Video Standard) (AVS1-P2, JiZhun profile) decoder
ffmpeg:  ffdec_cdgraphics: FFmpeg CD Graphics video decoder
ffmpeg:  ffdec_cdxl: FFmpeg Commodore CDXL video decoder
ffmpeg:  ffdec_cinepak: FFmpeg Cinepak decoder
ffmpeg:  ffdec_cljr: FFmpeg Cirrus Logic AccuPak decoder
ffmpeg:  ffdec_cllc: FFmpeg Canopus Lossless Codec decoder
ffmpeg:  ffdec_comfortnoise: FFmpeg RFC 3389 comfort noise generator decoder
ffmpeg:  ffdec_cpia: FFmpeg CPiA video format decoder
ffmpeg:  ffdec_camstudio: FFmpeg CamStudio decoder
ffmpeg:  ffdec_cyuv: FFmpeg Creative YUV (CYUV) decoder
ffmpeg:  ffdec_dfa: FFmpeg Chronomaster DFA decoder
ffmpeg:  ffdec_dirac: FFmpeg BBC Dirac VC-2 decoder
ffmpeg:  ffdec_dnxhd: FFmpeg VC3/DNxHD decoder
ffmpeg:  ffdec_dpx: FFmpeg DPX (Digital Picture Exchange) image decoder
ffmpeg:  ffdec_dsicinvideo: FFmpeg Delphine Software International CIN video decoder
ffmpeg:  ffdec_dvvideo: FFmpeg DV (Digital Video) decoder
ffmpeg:  ffdec_dxa: FFmpeg Feeble Files/ScummVM DXA decoder
ffmpeg:  ffdec_dxtory: FFmpeg Dxtory decoder
ffmpeg:  ffdec_eacmv: FFmpeg Electronic Arts CMV video decoder
ffmpeg:  ffdec_eamad: FFmpeg Electronic Arts Madcow Video decoder
ffmpeg:  ffdec_eatgq: FFmpeg Electronic Arts TGQ video decoder
ffmpeg:  ffdec_eatgv: FFmpeg Electronic Arts TGV video decoder
ffmpeg:  ffdec_eatqi: FFmpeg Electronic Arts TQI Video decoder
ffmpeg:  ffdec_8bps: FFmpeg QuickTime 8BPS video decoder
ffmpeg:  ffdec_8svx_exp: FFmpeg 8SVX exponential decoder
ffmpeg:  ffdec_8svx_fib: FFmpeg 8SVX fibonacci decoder
ffmpeg:  ffdec_escape124: FFmpeg Escape 124 decoder
ffmpeg:  ffdec_escape130: FFmpeg Escape 130 decoder
ffmpeg:  ffdec_exr: FFmpeg OpenEXR image decoder
ffmpeg:  ffdec_ffv1: FFmpeg FFmpeg video codec #1 decoder
ffmpeg:  ffdec_ffvhuff: FFmpeg Huffyuv FFmpeg variant decoder
ffmpeg:  ffdec_fic: FFmpeg Mirillis FIC decoder
ffmpeg:  ffdec_flashsv: FFmpeg Flash Screen Video v1 decoder
ffmpeg:  ffdec_flashsv2: FFmpeg Flash Screen Video v2 decoder
ffmpeg:  ffdec_flic: FFmpeg Autodesk Animator Flic video decoder
ffmpeg:  ffdec_flv: FFmpeg FLV / Sorenson Spark / Sorenson H.263 (Flash Video) decoder
ffmpeg:  ffdec_4xm: FFmpeg 4X Movie decoder
ffmpeg:  ffdec_fraps: FFmpeg Fraps decoder
ffmpeg:  ffdec_frwu: FFmpeg Forward Uncompressed decoder
ffmpeg:  ffdec_g2m: FFmpeg Go2Meeting decoder
ffmpeg:  ffdec_h261: FFmpeg H.261 decoder
ffmpeg:  ffdec_h263: FFmpeg H.263 / H.263-1996, H.263+ / H.263-1998 / H.263 version 2 decoder
ffmpeg:  ffdec_h263i: FFmpeg Intel H.263 decoder
ffmpeg:  ffdec_h263p: FFmpeg H.263 / H.263-1996, H.263+ / H.263-1998 / H.263 version 2 decoder
ffmpeg:  ffdec_h264: FFmpeg H.264 / AVC / MPEG-4 AVC / MPEG-4 part 10 decoder
ffmpeg:  ffdec_hevc: FFmpeg HEVC (High Efficiency Video Coding) decoder
ffmpeg:  ffdec_hnm4video: FFmpeg HNM 4 video decoder
ffmpeg:  ffdec_huffyuv: FFmpeg Huffyuv / HuffYUV decoder
ffmpeg:  ffdec_idcinvideo: FFmpeg id Quake II CIN video decoder
ffmpeg:  ffdec_iff: FFmpeg IFF decoder
ffmpeg:  ffdec_indeo2: FFmpeg Intel Indeo 2 decoder
ffmpeg:  ffdec_indeo3: FFmpeg Intel Indeo 3 decoder
ffmpeg:  ffdec_indeo4: FFmpeg Intel Indeo Video Interactive 4 decoder
ffmpeg:  ffdec_indeo5: FFmpeg Intel Indeo Video Interactive 5 decoder
ffmpeg:  ffdec_interplayvideo: FFmpeg Interplay MVE video decoder
ffmpeg:  ffdec_jpeg2000: FFmpeg JPEG 2000 decoder
ffmpeg:  ffdec_jpegls: FFmpeg JPEG-LS decoder
ffmpeg:  ffdec_jv: FFmpeg Bitmap Brothers JV video decoder
ffmpeg:  ffdec_kgv1: FFmpeg Kega Game Video decoder
ffmpeg:  ffdec_kmvc: FFmpeg Karl Morton's video codec decoder
ffmpeg:  ffdec_lagarith: FFmpeg Lagarith lossless decoder
ffmpeg:  ffdec_loco: FFmpeg LOCO decoder
ffmpeg:  ffdec_mdec: FFmpeg Sony PlayStation MDEC (Motion DECoder) decoder
ffmpeg:  ffdec_mimic: FFmpeg Mimic decoder
ffmpeg:  ffdec_mjpeg: FFmpeg MJPEG (Motion JPEG) decoder
ffmpeg:  ffdec_mjpegb: FFmpeg Apple MJPEG-B decoder
ffmpeg:  ffdec_mmvideo: FFmpeg American Laser Games MM Video decoder
ffmpeg:  ffdec_motionpixels: FFmpeg Motion Pixels video decoder
ffmpeg:  ffdec_mpeg2video: FFmpeg MPEG-2 video decoder
ffmpeg:  ffdec_mpeg4: FFmpeg MPEG-4 part 2 decoder
ffmpeg:  ffdec_mpegvideo: FFmpeg MPEG-1 video decoder
ffmpeg:  ffdec_msa1: FFmpeg MS ATC Screen decoder
ffmpeg:  ffdec_msmpeg4v1: FFmpeg MPEG-4 part 2 Microsoft variant version 1 decoder
ffmpeg:  ffdec_msmpeg4v2: FFmpeg MPEG-4 part 2 Microsoft variant version 2 decoder
ffmpeg:  ffdec_msmpeg4: FFmpeg MPEG-4 part 2 Microsoft variant version 3 decoder
ffmpeg:  ffdec_msrle: FFmpeg Microsoft RLE decoder
ffmpeg:  ffdec_mss1: FFmpeg MS Screen 1 decoder
ffmpeg:  ffdec_mss2: FFmpeg MS Windows Media Video V9 Screen decoder
ffmpeg:  ffdec_msvideo1: FFmpeg Microsoft Video 1 decoder
ffmpeg:  ffdec_mszh: FFmpeg LCL (LossLess Codec Library) MSZH decoder
ffmpeg:  ffdec_mts2: FFmpeg MS Expression Encoder Screen decoder
ffmpeg:  ffdec_mvc1: FFmpeg Silicon Graphics Motion Video Compressor 1 decoder
ffmpeg:  ffdec_mvc2: FFmpeg Silicon Graphics Motion Video Compressor 2 decoder
ffmpeg:  ffdec_mxpeg: FFmpeg Mobotix MxPEG video decoder
ffmpeg:  ffdec_nuv: FFmpeg NuppelVideo/RTJPEG decoder
ffmpeg:  ffdec_paf_video: FFmpeg Amazing Studio Packed Animation File Video decoder
ffmpeg:  ffdec_pam: FFmpeg PAM (Portable AnyMap) image decoder
ffmpeg:  ffdec_pbm: FFmpeg PBM (Portable BitMap) image decoder
ffmpeg:  ffdec_pcx: FFmpeg PC Paintbrush PCX image decoder
ffmpeg:  ffdec_pgm: FFmpeg PGM (Portable GrayMap) image decoder
ffmpeg:  ffdec_pgmyuv: FFmpeg PGMYUV (Portable GrayMap YUV) image decoder
ffmpeg:  ffdec_pictor: FFmpeg Pictor/PC Paint decoder
ffmpeg:  ffdec_png: FFmpeg PNG (Portable Network Graphics) image decoder
ffmpeg:  ffdec_ppm: FFmpeg PPM (Portable PixelMap) image decoder
ffmpeg:  ffdec_prores: FFmpeg ProRes decoder
ffmpeg:  ffdec_prores_lgpl: FFmpeg Apple ProRes (iCodec Pro) decoder
ffmpeg:  ffdec_ptx: FFmpeg V.Flash PTX image decoder
ffmpeg:  ffdec_qdraw: FFmpeg Apple QuickDraw decoder
ffmpeg:  ffdec_qpeg: FFmpeg Q-team QPEG decoder
ffmpeg:  ffdec_qtrle: FFmpeg QuickTime Animation (RLE) video decoder
ffmpeg:  ffdec_r10k: FFmpeg AJA Kona 10-bit RGB Codec decoder
ffmpeg:  ffdec_rl2: FFmpeg RL2 video decoder
ffmpeg:  ffdec_roqvideo: FFmpeg id RoQ video decoder
ffmpeg:  ffdec_rpza: FFmpeg QuickTime video (RPZA) decoder
ffmpeg:  ffdec_rv10: FFmpeg RealVideo 1.0 decoder
ffmpeg:  ffdec_rv20: FFmpeg RealVideo 2.0 decoder
ffmpeg:  ffdec_rv30: FFmpeg RealVideo 3.0 decoder
ffmpeg:  ffdec_rv40: FFmpeg RealVideo 4.0 decoder
ffmpeg:  ffdec_s302m: FFmpeg SMPTE 302M decoder
ffmpeg:  ffdec_sanm: FFmpeg LucasArts SANM/Smush video decoder
ffmpeg:  ffdec_sgi: FFmpeg SGI image decoder
ffmpeg:  ffdec_sgirle: FFmpeg Silicon Graphics RLE 8-bit video decoder
ffmpeg:  ffdec_smackvid: FFmpeg Smacker video decoder
ffmpeg:  ffdec_smc: FFmpeg QuickTime Graphics (SMC) decoder
ffmpeg:  ffdec_smvjpeg: FFmpeg SMV JPEG decoder
ffmpeg:  ffdec_snow: FFmpeg Snow decoder
ffmpeg:  ffdec_sp5x: FFmpeg Sunplus JPEG (SP5X) decoder
ffmpeg:  ffdec_sunrast: FFmpeg Sun Rasterfile image decoder
ffmpeg:  ffdec_svq1: FFmpeg Sorenson Vector Quantizer 1 / Sorenson Video 1 / SVQ1 decoder
ffmpeg:  ffdec_svq3: FFmpeg Sorenson Vector Quantizer 3 / Sorenson Video 3 / SVQ3 decoder
ffmpeg:  ffdec_targa: FFmpeg Truevision Targa image decoder
ffmpeg:  ffdec_targa_y216: FFmpeg Pinnacle TARGA CineWave YUV16 decoder
ffmpeg:  ffdec_thp: FFmpeg Nintendo Gamecube THP video decoder
ffmpeg:  ffdec_tiertexseqvideo: FFmpeg Tiertex Limited SEQ video decoder
ffmpeg:  ffdec_tiff: FFmpeg TIFF image decoder
ffmpeg:  ffdec_tmv: FFmpeg 8088flex TMV decoder
ffmpeg:  ffdec_truemotion1: FFmpeg Duck TrueMotion 1.0 decoder
ffmpeg:  ffdec_truemotion2: FFmpeg Duck TrueMotion 2.0 decoder
ffmpeg:  ffdec_camtasia: FFmpeg TechSmith Screen Capture Codec decoder
ffmpeg:  ffdec_tscc2: FFmpeg TechSmith Screen Codec 2 decoder
ffmpeg:  ffdec_txd: FFmpeg Renderware TXD (TeXture Dictionary) image decoder
ffmpeg:  ffdec_ultimotion: FFmpeg IBM UltiMotion decoder
ffmpeg:  ffdec_utvideo: FFmpeg Ut Video decoder
ffmpeg:  ffdec_v308: FFmpeg Uncompressed packed 4:4:4 decoder
ffmpeg:  ffdec_v408: FFmpeg Uncompressed packed QT 4:4:4:4 decoder
ffmpeg:  ffdec_v410: FFmpeg Uncompressed 4:4:4 10-bit decoder
ffmpeg:  ffdec_vb: FFmpeg Beam Software VB decoder
ffmpeg:  ffdec_vble: FFmpeg VBLE Lossless Codec decoder
ffmpeg:  ffdec_vc1: FFmpeg SMPTE VC-1 decoder
ffmpeg:  ffdec_vc1image: FFmpeg Windows Media Video 9 Image v2 decoder
ffmpeg:  ffdec_vcr1: FFmpeg ATI VCR1 decoder
ffmpeg:  ffdec_vmdvideo: FFmpeg Sierra VMD video decoder
ffmpeg:  ffdec_vmnc: FFmpeg VMware Screen Codec / VMware Video decoder
ffmpeg:  ffdec_vp3: FFmpeg On2 VP3 decoder
ffmpeg:  ffdec_vp5: FFmpeg On2 VP5 decoder
ffmpeg:  ffdec_vp6: FFmpeg On2 VP6 decoder
ffmpeg:  ffdec_vp6a: FFmpeg On2 VP6 (Flash version, with alpha channel) decoder
ffmpeg:  ffdec_vp6f: FFmpeg On2 VP6 (Flash version) decoder
ffmpeg:  ffdec_vp7: FFmpeg On2 VP7 decoder
ffmpeg:  ffdec_vp8: FFmpeg On2 VP8 decoder
ffmpeg:  ffdec_vp9: FFmpeg Google VP9 decoder
ffmpeg:  ffdec_vqavideo: FFmpeg Westwood Studios VQA (Vector Quantized Animation) video decoder
ffmpeg:  ffdec_webp: FFmpeg WebP image decoder
ffmpeg:  ffdec_wmv1: FFmpeg Windows Media Video 7 decoder
ffmpeg:  ffdec_wmv2: FFmpeg Windows Media Video 8 decoder
ffmpeg:  ffdec_wmv3: FFmpeg Windows Media Video 9 decoder
ffmpeg:  ffdec_wmv3image: FFmpeg Windows Media Video 9 Image decoder
ffmpeg:  ffdec_wnv1: FFmpeg Winnov WNV1 decoder
ffmpeg:  ffdec_xan_wc3: FFmpeg Wing Commander III / Xan decoder
ffmpeg:  ffdec_xan_wc4: FFmpeg Wing Commander IV / Xxan decoder
ffmpeg:  ffdec_xbm: FFmpeg XBM (X BitMap) image decoder
ffmpeg:  ffdec_xface: FFmpeg X-face image decoder
ffmpeg:  ffdec_xl: FFmpeg Miro VideoXL decoder
ffmpeg:  ffdec_xwd: FFmpeg XWD (X Window Dump) image decoder
ffmpeg:  ffdec_y41p: FFmpeg Uncompressed YUV 4:1:1 12-bit decoder
ffmpeg:  ffdec_yop: FFmpeg Psygnosis YOP Video decoder
ffmpeg:  ffdec_yuv4: FFmpeg Uncompressed packed 4:2:0 decoder
ffmpeg:  ffdec_012v: FFmpeg Uncompressed 4:2:2 10-bit decoder
ffmpeg:  ffdec_zerocodec: FFmpeg ZeroCodec Lossless Video decoder
ffmpeg:  ffdec_zlib: FFmpeg LCL (LossLess Codec Library) ZLIB decoder
ffmpeg:  ffdec_zmbv: FFmpeg Zip Motion Blocks Video decoder
ffmpeg:  ffdec_aac: FFmpeg AAC (Advanced Audio Coding) decoder
ffmpeg:  ffdec_aac_latm: FFmpeg AAC LATM (Advanced Audio Coding LATM syntax) decoder
ffmpeg:  ffdec_ac3: FFmpeg ATSC A/52A (AC-3) decoder
ffmpeg:  ffdec_ac3_fixed: FFmpeg ATSC A/52A (AC-3) decoder
ffmpeg:  ffdec_alac: FFmpeg ALAC (Apple Lossless Audio Codec) decoder
ffmpeg:  ffdec_als: FFmpeg MPEG-4 Audio Lossless Coding (ALS) decoder
ffmpeg:  ffdec_amrnb: FFmpeg AMR-NB (Adaptive Multi-Rate NarrowBand) decoder
ffmpeg:  ffdec_amrwb: FFmpeg AMR-WB (Adaptive Multi-Rate WideBand) decoder
ffmpeg:  ffdec_ape: FFmpeg Monkey's Audio decoder
ffmpeg:  ffdec_atrac1: FFmpeg ATRAC1 (Adaptive TRansform Acoustic Coding) decoder
ffmpeg:  ffdec_atrac3: FFmpeg ATRAC3 (Adaptive TRansform Acoustic Coding 3) decoder
ffmpeg:  ffdec_atrac3plus: FFmpeg ATRAC3+ (Adaptive TRansform Acoustic Coding 3+) decoder
ffmpeg:  ffdec_binkaudio_dct: FFmpeg Bink Audio (DCT) decoder
ffmpeg:  ffdec_binkaudio_rdft: FFmpeg Bink Audio (RDFT) decoder
ffmpeg:  ffdec_bmv_audio: FFmpeg Discworld II BMV audio decoder
ffmpeg:  ffdec_cook: FFmpeg Cook / Cooker / Gecko (RealAudio G2) decoder
ffmpeg:  ffdec_dca: FFmpeg DCA (DTS Coherent Acoustics) decoder
ffmpeg:  ffdec_dsd_lsbf: FFmpeg DSD (Direct Stream Digital), least significant bit first decoder
ffmpeg:  ffdec_dsd_msbf: FFmpeg DSD (Direct Stream Digital), most significant bit first decoder
ffmpeg:  ffdec_dsd_lsbf_planar: FFmpeg DSD (Direct Stream Digital), least significant bit first, planar decoder
ffmpeg:  ffdec_dsd_msbf_planar: FFmpeg DSD (Direct Stream Digital), most significant bit first, planar decoder
ffmpeg:  ffdec_dsicinaudio: FFmpeg Delphine Software International CIN audio decoder
ffmpeg:  ffdec_eac3: FFmpeg ATSC A/52B (AC-3, E-AC-3) decoder
ffmpeg:  ffdec_evrc: FFmpeg EVRC (Enhanced Variable Rate Codec) decoder
ffmpeg:  ffdec_wavesynth: FFmpeg Wave synthesis pseudo-codec decoder
ffmpeg:  ffdec_flac: FFmpeg FLAC (Free Lossless Audio Codec) decoder
ffmpeg:  ffdec_g723_1: FFmpeg G.723.1 decoder
ffmpeg:  ffdec_g729: FFmpeg G.729 decoder
ffmpeg:  ffdec_gsm: FFmpeg GSM decoder
ffmpeg:  ffdec_gsm_ms: FFmpeg GSM Microsoft variant decoder
ffmpeg:  ffdec_iac: FFmpeg IAC (Indeo Audio Coder) decoder
ffmpeg:  ffdec_imc: FFmpeg IMC (Intel Music Coder) decoder
ffmpeg:  ffdec_mace3: FFmpeg MACE (Macintosh Audio Compression/Expansion) 3:1 decoder
ffmpeg:  ffdec_mace6: FFmpeg MACE (Macintosh Audio Compression/Expansion) 6:1 decoder
ffmpeg:  ffdec_metasound: FFmpeg Voxware MetaSound decoder
ffmpeg:  ffdec_mlp: FFmpeg MLP (Meridian Lossless Packing) decoder
ffmpeg:  ffdec_mp1float: FFmpeg MP1 (MPEG audio layer 1) decoder
ffmpeg:  ffdec_mp2float: FFmpeg MP2 (MPEG audio layer 2) decoder
ffmpeg:  ffdec_mp3: FFmpeg MP3 (MPEG audio layer 3) decoder
ffmpeg:  ffdec_mp3float: FFmpeg MP3 (MPEG audio layer 3) decoder
ffmpeg:  ffdec_mp3adu: FFmpeg ADU (Application Data Unit) MP3 (MPEG audio layer 3) decoder
ffmpeg:  ffdec_mp3adufloat: FFmpeg ADU (Application Data Unit) MP3 (MPEG audio layer 3) decoder
ffmpeg:  ffdec_mp3on4: FFmpeg MP3onMP4 decoder
ffmpeg:  ffdec_mp3on4float: FFmpeg MP3onMP4 decoder
ffmpeg:  ffdec_mpc7: FFmpeg Musepack SV7 decoder
ffmpeg:  ffdec_mpc8: FFmpeg Musepack SV8 decoder
ffmpeg:  ffdec_nellymoser: FFmpeg Nellymoser Asao decoder
ffmpeg:  ffdec_on2avc: FFmpeg On2 Audio for Video Codec decoder
ffmpeg:  ffdec_opus: FFmpeg Opus decoder
ffmpeg:  ffdec_paf_audio: FFmpeg Amazing Studio Packed Animation File Audio decoder
ffmpeg:  ffdec_qcelp: FFmpeg QCELP / PureVoice decoder
ffmpeg:  ffdec_qdm2: FFmpeg QDesign Music Codec 2 decoder
ffmpeg:  ffdec_real_144: FFmpeg RealAudio 1.0 (14.4K) decoder
ffmpeg:  ffdec_real_288: FFmpeg RealAudio 2.0 (28.8K) decoder
ffmpeg:  ffdec_ralf: FFmpeg RealAudio Lossless decoder
ffmpeg:  ffdec_shorten: FFmpeg Shorten decoder
ffmpeg:  ffdec_sipr: FFmpeg RealAudio SIPR / ACELP.NET decoder
ffmpeg:  ffdec_smackaud: FFmpeg Smacker audio decoder
ffmpeg:  ffdec_sonic: FFmpeg Sonic decoder
ffmpeg:  ffdec_tak: FFmpeg TAK (Tom's lossless Audio Kompressor) decoder
ffmpeg:  ffdec_truehd: FFmpeg TrueHD decoder
ffmpeg:  ffdec_truespeech: FFmpeg DSP Group TrueSpeech decoder
ffmpeg:  ffdec_tta: FFmpeg TTA (True Audio) decoder
ffmpeg:  ffdec_twinvq: FFmpeg VQF TwinVQ decoder
ffmpeg:  ffdec_vmdaudio: FFmpeg Sierra VMD audio decoder
ffmpeg:  ffdec_wmalossless: FFmpeg Windows Media Audio Lossless decoder
ffmpeg:  ffdec_wmapro: FFmpeg Windows Media Audio 9 Professional decoder
ffmpeg:  ffdec_wmav1: FFmpeg Windows Media Audio 1 decoder
ffmpeg:  ffdec_wmav2: FFmpeg Windows Media Audio 2 decoder
ffmpeg:  ffdec_wmavoice: FFmpeg Windows Media Audio Voice decoder
ffmpeg:  ffdec_ws_snd1: FFmpeg Westwood Audio (SND1) decoder
ffmpeg:  ffdec_pcm_lxf: FFmpeg PCM signed 20-bit little-endian planar decoder
ffmpeg:  ffdec_pcm_s8_planar: FFmpeg PCM signed 8-bit planar decoder
ffmpeg:  ffdec_pcm_s16be_planar: FFmpeg PCM signed 16-bit big-endian planar decoder
ffmpeg:  ffdec_pcm_s24le_planar: FFmpeg PCM signed 24-bit little-endian planar decoder
ffmpeg:  ffdec_pcm_s32le_planar: FFmpeg PCM signed 32-bit little-endian planar decoder
ffmpeg:  ffdec_interplay_dpcm: FFmpeg DPCM Interplay decoder
ffmpeg:  ffdec_roq_dpcm: FFmpeg DPCM id RoQ decoder
ffmpeg:  ffdec_sol_dpcm: FFmpeg DPCM Sol decoder
ffmpeg:  ffdec_xan_dpcm: FFmpeg DPCM Xan decoder
ffmpeg:  ffdec_adpcm_4xm: FFmpeg ADPCM 4X Movie decoder
ffmpeg:  ffdec_adpcm_adx: FFmpeg SEGA CRI ADX ADPCM decoder
ffmpeg:  ffdec_adpcm_afc: FFmpeg ADPCM Nintendo Gamecube AFC decoder
ffmpeg:  ffdec_adpcm_ct: FFmpeg ADPCM Creative Technology decoder
ffmpeg:  ffdec_adpcm_dtk: FFmpeg ADPCM Nintendo Gamecube DTK decoder
ffmpeg:  ffdec_adpcm_ea: FFmpeg ADPCM Electronic Arts decoder
ffmpeg:  ffdec_adpcm_ea_maxis_xa: FFmpeg ADPCM Electronic Arts Maxis CDROM XA decoder
ffmpeg:  ffdec_adpcm_ea_r1: FFmpeg ADPCM Electronic Arts R1 decoder
ffmpeg:  ffdec_adpcm_ea_r2: FFmpeg ADPCM Electronic Arts R2 decoder
ffmpeg:  ffdec_adpcm_ea_r3: FFmpeg ADPCM Electronic Arts R3 decoder
ffmpeg:  ffdec_adpcm_ea_xas: FFmpeg ADPCM Electronic Arts XAS decoder
ffmpeg:  ffdec_g722: FFmpeg G.722 ADPCM decoder
ffmpeg:  ffdec_g726: FFmpeg G.726 ADPCM decoder
ffmpeg:  ffdec_g726le: FFmpeg G.726 ADPCM little-endian decoder
ffmpeg:  ffdec_adpcm_ima_amv: FFmpeg ADPCM IMA AMV decoder
ffmpeg:  ffdec_adpcm_ima_apc: FFmpeg ADPCM IMA CRYO APC decoder
ffmpeg:  ffdec_adpcm_ima_dk3: FFmpeg ADPCM IMA Duck DK3 decoder
ffmpeg:  ffdec_adpcm_ima_dk4: FFmpeg ADPCM IMA Duck DK4 decoder
ffmpeg:  ffdec_adpcm_ima_ea_eacs: FFmpeg ADPCM IMA Electronic Arts EACS decoder
ffmpeg:  ffdec_adpcm_ima_ea_sead: FFmpeg ADPCM IMA Electronic Arts SEAD decoder
ffmpeg:  ffdec_adpcm_ima_iss: FFmpeg ADPCM IMA Funcom ISS decoder
ffmpeg:  ffdec_adpcm_ima_oki: FFmpeg ADPCM IMA Dialogic OKI decoder
ffmpeg:  ffdec_adpcm_ima_qt: FFmpeg ADPCM IMA QuickTime decoder
ffmpeg:  ffdec_adpcm_ima_rad: FFmpeg ADPCM IMA Radical decoder
ffmpeg:  ffdec_adpcm_ima_smjpeg: FFmpeg ADPCM IMA Loki SDL MJPEG decoder
ffmpeg:  ffdec_adpcm_ima_wav: FFmpeg ADPCM IMA WAV decoder
ffmpeg:  ffdec_adpcm_ima_ws: FFmpeg ADPCM IMA Westwood decoder
ffmpeg:  ffdec_adpcm_ms: FFmpeg ADPCM Microsoft decoder
ffmpeg:  ffdec_adpcm_sbpro_2: FFmpeg ADPCM Sound Blaster Pro 2-bit decoder
ffmpeg:  ffdec_adpcm_sbpro_3: FFmpeg ADPCM Sound Blaster Pro 2.6-bit decoder
ffmpeg:  ffdec_adpcm_sbpro_4: FFmpeg ADPCM Sound Blaster Pro 4-bit decoder
ffmpeg:  ffdec_adpcm_swf: FFmpeg ADPCM Shockwave Flash decoder
ffmpeg:  ffdec_adpcm_thp: FFmpeg ADPCM Nintendo Gamecube THP decoder
ffmpeg:  ffdec_adpcm_vima: FFmpeg LucasArts VIMA audio decoder
ffmpeg:  ffdec_adpcm_xa: FFmpeg ADPCM CDROM XA decoder
ffmpeg:  ffdec_adpcm_yamaha: FFmpeg ADPCM Yamaha decoder
ffmpeg:  ffdec_vima: FFmpeg LucasArts VIMA audio decoder
ffmpeg:  ffdec_ssa: FFmpeg SSA (SubStation Alpha) subtitle decoder
ffmpeg:  ffdec_jacosub: FFmpeg JACOsub subtitle decoder
ffmpeg:  ffdec_microdvd: FFmpeg MicroDVD subtitle decoder
ffmpeg:  ffdec_mov_text: FFmpeg 3GPP Timed Text subtitle decoder
ffmpeg:  ffdec_mpl2: FFmpeg MPL2 subtitle decoder
ffmpeg:  ffdec_pjs: FFmpeg PJS subtitle decoder
ffmpeg:  ffdec_realtext: FFmpeg RealText subtitle decoder
ffmpeg:  ffdec_sami: FFmpeg SAMI subtitle decoder
ffmpeg:  ffdec_subrip: FFmpeg SubRip subtitle decoder
ffmpeg:  ffdec_subviewer: FFmpeg SubViewer subtitle decoder
ffmpeg:  ffdec_subviewer1: FFmpeg SubViewer1 subtitle decoder
ffmpeg:  ffdec_text: FFmpeg Raw text subtitle decoder
ffmpeg:  ffdec_vplayer: FFmpeg VPlayer subtitle decoder
ffmpeg:  ffdec_webvtt: FFmpeg WebVTT subtitle decoder
ffmpeg:  ffdec_xsub: FFmpeg XSUB decoder
ffmpeg:  ffdec_bintext: FFmpeg Binary text decoder
ffmpeg:  ffdec_xbin: FFmpeg eXtended BINary text decoder
ffmpeg:  ffdec_idf: FFmpeg iCEDraw text decoder
ffmpeg:  ffdemux_aiff: FFmpeg Audio IFF demuxer
ffmpeg:  ffdemux_ape: FFmpeg Monkey's Audio demuxer
ffmpeg:  ffdemux_avs: FFmpeg AVS demuxer
ffmpeg: fftype_avs: no extensions
ffmpeg:  ffdemux_daud: FFmpeg D-Cinema audio demuxer
ffmpeg: fftype_daud: 302,daud
ffmpeg:  ffdemux_ea: FFmpeg Electronic Arts Multimedia demuxer
ffmpeg: fftype_ea: no extensions
ffmpeg:  ffdemux_ffm: FFmpeg FFM (FFserver live feed) demuxer
ffmpeg: fftype_ffm: no extensions
ffmpeg:  ffdemux_4xm: FFmpeg 4X Technologies demuxer
ffmpeg: fftype_4xm: no extensions
ffmpeg:  ffdemux_gif: FFmpeg CompuServe Graphics Interchange Format (GIF) demuxer
ffmpeg:  ffdemux_gxf: FFmpeg GXF (General eXchange Format) demuxer
ffmpeg: fftype_gxf: no extensions
ffmpeg:  ffdemux_idcin: FFmpeg id Cinematic demuxer
ffmpeg: fftype_idcin: no extensions
ffmpeg:  ffdemux_ipmovie: FFmpeg Interplay MVE demuxer
ffmpeg: fftype_ipmovie: no extensions
ffmpeg:  ffdemux_mm: FFmpeg American Laser Games MM demuxer
ffmpeg: fftype_mm: no extensions
ffmpeg:  ffdemux_mmf: FFmpeg Yamaha SMAF demuxer
ffmpeg: fftype_mmf: no extensions
ffmpeg:  ffdemux_mpc: FFmpeg Musepack demuxer
ffmpeg:  ffdemux_mxf: FFmpeg MXF (Material eXchange Format) demuxer
ffmpeg:  ffdemux_nsv: FFmpeg Nullsoft Streaming Video demuxer
ffmpeg: fftype_nsv: no extensions
ffmpeg:  ffdemux_nut: FFmpeg NUT demuxer
ffmpeg: fftype_nut: nut
ffmpeg:  ffdemux_nuv: FFmpeg NuppelVideo demuxer
ffmpeg:  ffdemux_film_cpk: FFmpeg Sega FILM / CPK demuxer
ffmpeg: fftype_film_cpk: no extensions
ffmpeg:  ffdemux_smk: FFmpeg Smacker demuxer
ffmpeg: fftype_smk: no extensions
ffmpeg:  ffdemux_sol: FFmpeg Sierra SOL demuxer
ffmpeg: fftype_sol: no extensions
ffmpeg:  ffdemux_psxstr: FFmpeg Sony Playstation STR demuxer
ffmpeg: fftype_psxstr: no extensions
ffmpeg:  ffdemux_swf: FFmpeg SWF (ShockWave Flash) demuxer
ffmpeg:  ffdemux_tta: FFmpeg TTA (True Audio) demuxer
ffmpeg:  ffdemux_vmd: FFmpeg Sierra VMD demuxer
ffmpeg: fftype_vmd: no extensions
ffmpeg:  ffdemux_voc: FFmpeg Creative Voice demuxer
ffmpeg:  ffdemux_wc3movie: FFmpeg Wing Commander III movie demuxer
ffmpeg: fftype_wc3movie: no extensions
ffmpeg:  ffdemux_wsaud: FFmpeg Westwood Studios audio demuxer
ffmpeg: fftype_wsaud: no extensions
ffmpeg:  ffdemux_wsvqa: FFmpeg Westwood Studios VQA demuxer
ffmpeg: fftype_wsvqa: no extensions
ffmpeg:  ffdemux_yuv4mpegpipe: FFmpeg YUV4MPEG pipe demuxer
ffmpeg: fftype_yuv4mpegpipe: y4m
ffmpeg:  ffmux_a64: FFmpeg a64 - video for Commodore 64 muxer
ffmpeg:  ffmux_adts: FFmpeg ADTS AAC (Advanced Audio Coding) muxer (not recommended, use aacparse instead)
ffmpeg:  ffmux_adx: FFmpeg CRI ADX muxer
ffmpeg:  ffmux_aiff: FFmpeg Audio IFF muxer (not recommended, use aiffmux instead)
ffmpeg:  ffmux_amr: FFmpeg 3GPP AMR muxer
ffmpeg:  ffmux_asf: FFmpeg ASF (Advanced / Active Streaming Format) muxer (not recommended, use asfmux instead)
ffmpeg:  ffmux_ast: FFmpeg AST (Audio Stream) muxer
ffmpeg:  ffmux_asf_stream: FFmpeg ASF (Advanced / Active Streaming Format) muxer (not recommended, use asfmux instead)
ffmpeg:  ffmux_au: FFmpeg Sun AU muxer
ffmpeg:  ffmux_avi: FFmpeg AVI (Audio Video Interleaved) muxer (not recommended, use avimux instead)
ffmpeg:  ffmux_avm2: FFmpeg SWF (ShockWave Flash) (AVM2) muxer
ffmpeg:  ffmux_bit: FFmpeg G.729 BIT file format muxer
ffmpeg:  ffmux_caf: FFmpeg Apple CAF (Core Audio Format) muxer
ffmpeg:  ffmux_daud: FFmpeg D-Cinema audio muxer
ffmpeg:  ffmux_dv: FFmpeg DV (Digital Video) muxer
ffmpeg:  ffmux_f4v: FFmpeg F4V Adobe Flash Video muxer
ffmpeg:  ffmux_ffm: FFmpeg FFM (FFserver live feed) muxer
ffmpeg:  ffmux_filmstrip: FFmpeg Adobe Filmstrip muxer
ffmpeg:  ffmux_flv: FFmpeg FLV (Flash Video) muxer (not recommended, use flvmux instead)
ffmpeg:  ffmux_gxf: FFmpeg GXF (General eXchange Format) muxer
ffmpeg:  ffmux_hds: FFmpeg HDS Muxer muxer
ffmpeg:  ffmux_hls: FFmpeg Apple HTTP Live Streaming muxer
ffmpeg:  ffmux_ico: FFmpeg Microsoft Windows ICO muxer
ffmpeg:  ffmux_ilbc: FFmpeg iLBC storage muxer
ffmpeg:  ffmux_ipod: FFmpeg iPod H.264 MP4 (MPEG-4 Part 14) muxer
ffmpeg:  ffmux_ircam: FFmpeg Berkeley/IRCAM/CARL Sound Format muxer
ffmpeg:  ffmux_ismv: FFmpeg ISMV/ISMA (Smooth Streaming) muxer
ffmpeg:  ffmux_ivf: FFmpeg On2 IVF muxer
ffmpeg:  ffmux_jacosub: FFmpeg JACOsub subtitle format muxer
ffmpeg:  ffmux_latm: FFmpeg LOAS/LATM muxer
ffmpeg:  ffmux_lrc: FFmpeg LRC lyrics muxer
ffmpeg:  ffmux_md5: FFmpeg MD5 testing muxer
ffmpeg:  ffmux_matroska: FFmpeg Matroska muxer (not recommended, use matroskamux instead)
ffmpeg:  ffmux_microdvd: FFmpeg MicroDVD subtitle format muxer
ffmpeg:  ffmux_mmf: FFmpeg Yamaha SMAF muxer
ffmpeg:  ffmux_mov: FFmpeg QuickTime / MOV muxer (not recommended, use qtmux instead)
ffmpeg:  ffmux_mp2: FFmpeg MP2 (MPEG audio layer 2) formatter (not recommended, use id3v2mux instead)
ffmpeg:  ffmux_mp3: FFmpeg MP3 (MPEG audio layer 3) formatter (not recommended, use id3v2mux instead)
ffmpeg:  ffmux_mp4: FFmpeg MP4 (MPEG-4 Part 14) muxer (not recommended, use mp4mux instead)
ffmpeg:  ffmux_mpeg: FFmpeg MPEG-1 Systems / MPEG program stream muxer
ffmpeg:  ffmux_vcd: FFmpeg MPEG-1 Systems / MPEG program stream (VCD) muxer
ffmpeg:  ffmux_dvd: FFmpeg MPEG-2 PS (DVD VOB) muxer
ffmpeg:  ffmux_svcd: FFmpeg MPEG-2 PS (SVCD) muxer
ffmpeg:  ffmux_vob: FFmpeg MPEG-2 PS (VOB) muxer
ffmpeg:  ffmux_mpegts: FFmpeg MPEG-TS (MPEG-2 Transport Stream) muxer (not recommended, use mpegtsmux instead)
ffmpeg:  ffmux_mpjpeg: FFmpeg MIME multipart JPEG muxer (not recommended, use multipartmux instead)
ffmpeg:  ffmux_mxf: FFmpeg MXF (Material eXchange Format) muxer (not recommended, use mxfmux instead)
ffmpeg:  ffmux_mxf_d10: FFmpeg MXF (Material eXchange Format) D-10 Mapping muxer
ffmpeg:  ffmux_nut: FFmpeg NUT muxer
ffmpeg:  ffmux_oga: FFmpeg Ogg Audio muxer
ffmpeg:  ffmux_ogg: FFmpeg Ogg muxer (not recommended, use oggmux instead)
ffmpeg:  ffmux_oma: FFmpeg Sony OpenMG audio muxer
ffmpeg:  ffmux_opus: FFmpeg Ogg Opus muxer
ffmpeg:  ffmux_psp: FFmpeg PSP MP4 (MPEG-4 Part 14) muxer
ffmpeg:  ffmux_rm: FFmpeg RealMedia muxer
ffmpeg:  ffmux_rso: FFmpeg Lego Mindstorms RSO muxer
ffmpeg:  ffmux_rtsp: FFmpeg RTSP output muxer
ffmpeg:  ffmux_sap: FFmpeg SAP output muxer
ffmpeg:  ffmux_segment: FFmpeg segment muxer
ffmpeg:  ffdeinterlace: FFMPEG Deinterlace element
ffmpeg:  ffaudioresample: FFMPEG Audio resampling element
realmedia:  rmdemux: RealMedia Demuxer
realmedia:  rademux: RealAudio Demuxer
realmedia:  rdtdepay: RDT packet parser
realmedia:  rdtmanager: RTP Decoder
realmedia:  rtspreal: RealMedia RTSP Extension
realmedia:  pnmsrc: PNM packet receiver
mpegstream:  mpegparse: MPEG System Parser
mpegstream:  mpegdemux: MPEG Demuxer
mpegstream:  dvddemux: DVD Demuxer
mpegaudioparse:  xingmux: MP3 Xing muxer
mpegaudioparse:  mp3parse: MPEG1 Audio Parser
mad:  mad: mad mp3 decoder
iec958:  ac3iec958: AC3 to IEC958 filter
dvdsub:  dvdsubdec: DVD subtitle decoder
dvdsub:  dvdsubparse: DVD subtitle parser
dvdread:  dvdreadsrc: DVD Source
dvdlpcmdec:  dvdlpcmdec: DVD LPCM Audio decoder
asf:  asfdemux: ASF Demuxer
asf:  rtspwms: WMS RTSP Extension
asf:  rtpasfdepay: RTP ASF packet depayloader
y4mdec:  y4mdec: YUV4MPEG demuxer/decoder
vmnc:  vmncdec: VMnc video decoder
videosignal:  videoanalyse: Video analyser
videosignal:  videodetect: Video detecter
videosignal:  videomark: Video marker
videoparsersbad:  h263parse: H.263 parser
videoparsersbad:  h264parse: H.264 parser
videoparsersbad:  diracparse: Dirac parser
videoparsersbad:  mpegvideoparse: MPEG video elementary stream parser
videoparsersbad:  mpeg4videoparse: MPEG 4 video elementary stream parser
videomeasure:  ssim: SSim
videomeasure:  measurecollector: Video measure collector
videomaxrate:  videomaxrate: Video maximum rate adjuster
videofiltersbad:  scenechange: Scene change detector
videofiltersbad:  zebrastripe: Zebra stripe overlay
vcdsrc:  vcdsrc: VCD Source
tta:  ttaparse: TTA file parser
tta:  ttadec: TTA audio decoder
musicbrainz:  trm: MusicBrainz TRM generator
subenc:  srtenc: Srt encoder
subenc:  webvttenc: WebVTT encoder
stereo:  stereo: Stereo effect
speed:  speed: Speed
sndfile:  sfsink: Sndfile sink
sndfile:  sfsrc: Sndfile source
smooth:  smooth: Smooth effect
gstsiren:  sirendec: Siren Decoder element
gstsiren:  sirenenc: Siren Encoder element
shm:  shmsrc: Shared Memory Source
shm:  shmsink: Shared Memory Sink
segmentclip:  audiosegmentclip: Audio buffer segment clipper
segmentclip:  videosegmentclip: Video buffer segment clipper
sdp:  sdpdemux: SDP session setup
sdl:  sdlvideosink: SDL video sink
sdl:  sdlaudiosink: SDL audio sink
sdi:  sdidemux: SDI Demuxer
sdi:  sdimux: SDI Muxer
scaletempo:  scaletempo: Scaletempo
rfbsrc:  rfbsrc: Rfb source
removesilence:  removesilence: RemoveSilence
real:  realvideodec: RealVideo decoder
real:  realaudiodec: RealAudio decoder
rawparse:  videoparse: Video Parse
rawparse:  audioparse: Audio Parse
pnm:  pnmdec: PNM image decoder
pnm:  pnmenc: PNM image encoder
pcapparse:  pcapparse: PCapParse
pcapparse:  irtspparse: IRTSPParse
patchdetect:  patchdetect: Color Patch Detector
opus:  opusenc: Opus audio encoder
opus:  opusdec: Opus audio decoder
opus:  opusparse: Opus audio parser
opus:  rtpopusdepay: RTP Opus packet depayloader
opus:  rtpopuspay: RTP Opus payloader
openal:  openalsink: Audio sink (OpenAL)
openal:  openalsrc: OpenAL src
nuvdemux:  nuvdemux: Nuv demuxer
nsf:  nsfdec: Nsf decoder
mxf:  mxfdemux: MXF Demuxer
mxf:  mxfmux: MXF muxer
mve:  mvedemux: MVE Demuxer
mve:  mvemux: MVE Multiplexer
mpegvideoparse:  legacympegvideoparse: MPEG video elementary stream parser
mpegtsmux:  mpegtsmux: MPEG Transport Stream Muxer
mpegtsdemux:  tsparse: MPEG transport stream parser
mpegtsdemux:  tsdemux: MPEG transport stream demuxer
mpegpsmux:  mpegpsmux: MPEG Program Stream Muxer
mpegdemux2:  mpegpsdemux: The Fluendo MPEG Program Stream Demuxer
mpegdemux2:  mpegtsdemux: The Fluendo MPEG Transport stream demuxer
mpegdemux2:  mpegtsparse: MPEG transport stream parser
modplug:  modplug: ModPlug
mimic:  mimenc: Mimic Encoder
mimic:  mimdec: Mimic Decoder
linsys:  linsyssdisrc: SDI video source
linsys:  linsyssdisink: SDI video sink
legacyresample:  legacyresample: Audio scaler
jpegformat:  jpegparse: JPEG stream parser
jpegformat:  jifmux: JPEG stream muxer
ivfparse:  ivfparse: IVF parser
interlace:  interlace: Interlace filter
inter:  interaudiosrc: FIXME Long name
inter:  interaudiosink: FIXME Long name
inter:  intervideosrc: FIXME Long name
inter:  intervideosink: FIXME Long name
id3tag:  id3mux: ID3 v1 and v2 Muxer
hdvparse:  hdvparse: HDVParser
h264parse:  legacyh264parse: H264Parse
gsettings:  gsettingsaudiosink: GSettings audio sink
gsettings:  gsettingsaudiosrc: GSettings audio src
gsettings:  gsettingsvideosink: GSettings video sink
gsettings:  gsettingsvideosrc: GSettings video src
geometrictransform:  circle: circle
geometrictransform:  diffuse: diffuse
geometrictransform:  kaleidoscope: kaleidoscope
geometrictransform:  marble: marble
geometrictransform:  pinch: pinch
geometrictransform:  rotate: rotate
geometrictransform:  sphere: sphere
geometrictransform:  twirl: twirl
geometrictransform:  waterripple: waterripple
geometrictransform:  stretch: stretch
geometrictransform:  bulge: bulge
geometrictransform:  tunnel: tunnel
geometrictransform:  square: square
geometrictransform:  mirror: mirror
geometrictransform:  fisheye: fisheye
gaudieffects:  burn: Burn
gaudieffects:  chromium: Chromium
gaudieffects:  dilate: Dilate
gaudieffects:  dodge: Dodge
gaudieffects:  exclusion: Exclusion
gaudieffects:  solarize: Solarize
gaudieffects:  gaussianblur: GaussBlur
freeze:  freeze: Stream freezer
freeverb:  freeverb: Stereo positioning
fragmented:  hlsdemux: HLS Demuxer
fieldanalysis:  fieldanalysis: Video field analysis
festival:  festival: Festival Text-to-Speech synthesizer
fbdevsink:  fbdevsink: fbdev video sink
faceoverlay:  faceoverlay: faceoverlay
dvdspu:  dvdspu: Sub-picture Overlay
dvbsuboverlay:  dvbsuboverlay: DVB Subtitles Overlay
dvb:  dvbsrc: DVB Source
dvb:  dvbbasebin: DVB bin
decklink:  decklinksrc: Decklink source
decklink:  decklinksink: Decklink Sink
debugutilsbad:  checksumsink: Checksum sink
debugutilsbad:  fpsdisplaysink: Measure and show framerate on videosink
debugutilsbad:  chopmydata: FIXME
debugutilsbad:  compare: Compare buffers
debugutilsbad:  debugspy: DebugSpy
dccp:  dccpclientsrc: DCCP client source
dccp:  dccpserversink: DCCP server sink
dccp:  dccpclientsink: DCCP client sink
dccp:  dccpserversrc: DCCP server source
dataurisrc:  dataurisrc: data: URI source element
colorspace:  colorspace:  Colorspace converter
coloreffects:  coloreffects: Color Look-up Table filter
coloreffects:  chromahold: Chroma hold filter
cdxaparse:  cdxaparse: (S)VCD parser
cdxaparse:  vcdparse: (S)VCD stream parser
cdaudio:  cdaudio: CD player
camerabin2:  viewfinderbin: Viewfinder Bin
camerabin2:  wrappercamerabinsrc: V4l2 camera src element for camerabin
camerabin2:  camerabin2: CameraBin2
camerabin:  camerabin: Camera Bin
bz2:  bz2enc: BZ2 encoder
bz2:  bz2dec: BZ2 decoder
bayer:  bayer2rgb: Bayer to RGB decoder for cameras
bayer:  rgb2bayer: RGB to Bayer converter
autoconvert:  autoconvert: Select convertor based on caps
autoconvert:  autovideoconvert: Select color space convertor based on caps
audiovisualizers:  spacescope: Stereo visualizer
audiovisualizers:  spectrascope: Frequency spectrum scope
audiovisualizers:  synaescope: Synaescope
audiovisualizers:  wavescope: Waveform oscilloscope
asfmux:  asfmux: ASF muxer
asfmux:  rtpasfpay: RTP ASF payloader
asfmux:  asfparse: ASF parser
apexsink:  apexsink: Apple AirPort Express Audio Sink
aiff:  aiffparse: AIFF audio demuxer
aiff:  aiffmux: AIFF audio muxer
adpcmenc:  adpcmenc: ADPCM encoder
adpcmdec:  adpcmdec: ADPCM decoder
rtpmux:  rtpmux: RTP muxer
rtpmux:  rtpdtmfmux: RTP muxer
liveadder:  liveadder: Live Adder element
dtmf:  dtmfdetect: DTMF detector element
dtmf:  dtmfsrc: DTMF tone generator
dtmf:  rtpdtmfsrc: RTP DTMF packet generator
dtmf:  rtpdtmfdepay: RTP DTMF packet depayloader
xvimagesink:  xvimagesink: Video sink
ximagesink:  ximagesink: Video sink
vorbis:  vorbisenc: Vorbis audio encoder
vorbis:  vorbisdec: Vorbis audio decoder
vorbis:  vorbisparse: VorbisParse
vorbis:  vorbistag: VorbisTag
volume:  volume: Volume
videotestsrc:  videotestsrc: Video test source
videoscale:  videoscale: Video scaler
videorate:  videorate: Video rate adjuster
typefindfunctions: video/x-ms-asf: asf, wm, wma, wmv
typefindfunctions: audio/x-musepack: mpc, mpp, mp+
typefindfunctions: audio/x-au: au, snd
typefindfunctions: video/x-msvideo: avi
typefindfunctions: audio/qcelp: qcp
typefindfunctions: video/x-cdxa: dat
typefindfunctions: video/x-vcd: dat
typefindfunctions: audio/x-imelody: imy, ime, imelody
typefindfunctions: audio/midi: mid, midi
typefindfunctions: audio/riff-midi: mid, midi
typefindfunctions: audio/mobile-xmf: mxmf
typefindfunctions: video/x-fli: flc, fli
typefindfunctions: application/x-id3v2: mp3, mp2, mp1, mpga, ogg, flac, tta
typefindfunctions: application/x-id3v1: mp3, mp2, mp1, mpga, ogg, flac, tta
typefindfunctions: application/x-apetag: mp3, ape, mpc, wv
typefindfunctions: audio/x-ttafile: tta
typefindfunctions: audio/x-mod: 669, amf, dsm, gdm, far, imf, it, med, mod, mtm, okt, sam, s3m, stm, stx, ult, xm
typefindfunctions: audio/mpeg: mp3, mp2, mp1, mpga
typefindfunctions: audio/x-ac3: ac3, eac3
typefindfunctions: audio/x-dts: dts
typefindfunctions: audio/x-gsm: gsm
typefindfunctions: video/mpeg-sys: mpe, mpeg, mpg
typefindfunctions: video/mpegts: ts, mts
typefindfunctions: application/ogg: anx, ogg, ogm
typefindfunctions: video/mpeg-elementary: mpv, mpeg, mpg
typefindfunctions: video/mpeg4: m4v
typefindfunctions: video/x-h263: h263, 263
typefindfunctions: video/x-h264: h264, x264, 264
typefindfunctions: video/x-nuv: nuv
typefindfunctions: audio/x-m4a: m4a
typefindfunctions: application/x-3gp: 3gp
typefindfunctions: video/quicktime: mov
typefindfunctions: image/x-quicktime: qif, qtif, qti
typefindfunctions: image/jp2: jp2
typefindfunctions: video/mj2: mj2
typefindfunctions: text/html: htm, html
typefindfunctions: application/vnd.rn-realmedia: ra, ram, rm, rmvb
typefindfunctions: application/x-pn-realaudio: ra, ram, rm, rmvb
typefindfunctions: application/x-shockwave-flash: swf, swfl
typefindfunctions: video/x-flv: flv
typefindfunctions: text/plain: txt
typefindfunctions: text/utf-16: txt
typefindfunctions: text/utf-32: txt
typefindfunctions: text/uri-list: ram
typefindfunctions: application/x-hls: m3u8
typefindfunctions: application/sdp: sdp
typefindfunctions: application/smil: smil
typefindfunctions: application/xml: xml
typefindfunctions: audio/x-wav: wav
typefindfunctions: audio/x-aiff: aiff, aif, aifc
typefindfunctions: audio/x-svx: iff, svx
typefindfunctions: audio/x-paris: paf
typefindfunctions: audio/x-nist: nist
typefindfunctions: audio/x-voc: voc
typefindfunctions: audio/x-sds: sds
typefindfunctions: audio/x-ircam: sf
typefindfunctions: audio/x-w64: w64
typefindfunctions: audio/x-shorten: shn
typefindfunctions: application/x-ape: ape
typefindfunctions: image/jpeg: jpg, jpe, jpeg
typefindfunctions: image/gif: gif
typefindfunctions: image/png: png
typefindfunctions: image/bmp: bmp
typefindfunctions: image/tiff: tif, tiff
typefindfunctions: image/x-portable-pixmap: pnm, ppm, pgm, pbm
typefindfunctions: video/x-matroska: mkv, mka
typefindfunctions: video/webm: webm
typefindfunctions: application/mxf: mxf
typefindfunctions: video/x-mve: mve
typefindfunctions: video/x-dv: dv, dif
typefindfunctions: audio/x-amr-nb-sh: amr
typefindfunctions: audio/x-amr-wb-sh: amr
typefindfunctions: audio/iLBC-sh: ilbc
typefindfunctions: audio/x-sid: sid
typefindfunctions: image/x-xcf: xcf
typefindfunctions: video/x-mng: mng
typefindfunctions: image/x-jng: jng
typefindfunctions: image/x-xpixmap: xpm
typefindfunctions: image/x-sun-raster: ras
typefindfunctions: application/x-bzip: bz2
typefindfunctions: application/x-gzip: gz
typefindfunctions: application/zip: zip
typefindfunctions: application/x-compress: Z
typefindfunctions: subtitle/x-kate: no extensions
typefindfunctions: audio/x-flac: flac
typefindfunctions: audio/x-vorbis: no extensions
typefindfunctions: video/x-theora: no extensions
typefindfunctions: application/x-ogm-video: no extensions
typefindfunctions: application/x-ogm-audio: no extensions
typefindfunctions: application/x-ogm-text: no extensions
typefindfunctions: audio/x-speex: no extensions
typefindfunctions: audio/x-celt: no extensions
typefindfunctions: application/x-ogg-skeleton: no extensions
typefindfunctions: text/x-cmml: no extensions
typefindfunctions: application/x-executable: no extensions
typefindfunctions: audio/aac: aac, adts, adif, loas
typefindfunctions: audio/x-spc: spc
typefindfunctions: audio/x-wavpack: wv, wvp
typefindfunctions: audio/x-wavpack-correction: wvc
typefindfunctions: application/postscript: ps
typefindfunctions: image/svg+xml: svg
typefindfunctions: application/x-rar: rar
typefindfunctions: application/x-tar: tar
typefindfunctions: application/x-ar: a
typefindfunctions: application/x-ms-dos-executable: dll, exe, ocx, sys, scr, msstyles, cpl
typefindfunctions: video/x-dirac: no extensions
typefindfunctions: multipart/x-mixed-replace: no extensions
typefindfunctions: application/x-mmsh: no extensions
typefindfunctions: video/vivo: viv
typefindfunctions: audio/x-nsf: nsf
typefindfunctions: audio/x-gym: gym
typefindfunctions: audio/x-ay: ay
typefindfunctions: audio/x-gbs: gbs
typefindfunctions: audio/x-vgm: vgm
typefindfunctions: audio/x-sap: sap
typefindfunctions: video/x-ivf: ivf
typefindfunctions: audio/x-kss: kss
typefindfunctions: application/pdf: pdf
typefindfunctions: application/msword: doc
typefindfunctions: application/octet-stream: DS_Store
typefindfunctions: image/vnd.adobe.photoshop: psd
typefindfunctions: image/vnd.wap.wbmp: no extensions
typefindfunctions: application/x-yuv4mpeg: y4m
typefindfunctions: image/x-icon: no extensions
typefindfunctions: xdgmime-base: no extensions
typefindfunctions: image/x-degas: no extensions
theora:  theoradec: Theora video decoder
theora:  theoraenc: Theora video encoder
theora:  theoraparse: Theora video parser
tcp:  tcpclientsink: TCP client sink
tcp:  tcpclientsrc: TCP client source
tcp:  tcpserversink: TCP server sink
tcp:  tcpserversrc: TCP server source
tcp:  multifdsink: Multi filedescriptor sink
subparse: subparse_typefind: srt, sub, mpsub, mdvd, smi, txt, dks
subparse:  subparse: Subtitle parser
subparse:  ssaparse: SSA Subtitle Parser
playback:  playbin: Player Bin
playback:  playbin2: Player Bin 2
playback:  playsink: Player Sink
playback:  subtitleoverlay: Subtitle Overlay
pango:  textoverlay: Text overlay
pango:  timeoverlay: Time overlay
pango:  clockoverlay: Clock overlay
pango:  textrender: Text renderer
ogg:  oggdemux: Ogg demuxer
ogg:  oggmux: Ogg muxer
ogg:  ogmaudioparse: OGM audio stream parser
ogg:  ogmvideoparse: OGM video stream parser
ogg:  ogmtextparse: OGM text stream parser
ogg:  oggparse: Ogg parser
ogg:  oggaviparse: Ogg AVI parser
gio:  giosink: GIO sink
gio:  giosrc: GIO source
gio:  giostreamsink: GIO stream sink
gio:  giostreamsrc: GIO stream source
gdp:  gdpdepay: GDP Depayloader
gdp:  gdppay: GDP Payloader
ffmpegcolorspace:  ffmpegcolorspace: FFMPEG Colorspace converter
encoding:  encodebin: Encoder Bin
uridecodebin:  decodebin2: Decoder Bin
uridecodebin:  uridecodebin: URI Decoder
decodebin:  decodebin: Decoder Bin
audiotestsrc:  audiotestsrc: Audio test source
audioresample:  audioresample: Audio resampler
audiorate:  audiorate: Audio rate adjuster
audioconvert:  audioconvert: Audio converter
app:  appsrc: AppSrc
app:  appsink: AppSink
alsa:  alsamixer: Alsa mixer
alsa:  alsasrc: Audio source (ALSA)
alsa:  alsasink: Audio sink (ALSA)
adder:  adder: Adder
coreindexers:  memindex: A index that stores entries in memory
coreindexers:  fileindex: A index that stores entries in file
coreelements:  capsfilter: CapsFilter
coreelements:  fakesrc: Fake Source
coreelements:  fakesink: Fake Sink
coreelements:  fdsrc: Filedescriptor Source
coreelements:  fdsink: Filedescriptor Sink
coreelements:  filesrc: File Source
coreelements:  funnel: Funnel pipe fitting
coreelements:  identity: Identity
coreelements:  input-selector: Input selector
coreelements:  output-selector: Output selector
coreelements:  queue: Queue
coreelements:  queue2: Queue 2
coreelements:  filesink: File Sink
coreelements:  tee: Tee pipe fitting
coreelements:  typefind: TypeFind
coreelements:  multiqueue: MultiQueue
coreelements:  valve: Valve element
staticelements:  bin: Generic bin
staticelements:  pipeline: Pipeline object

Total count: 189 plugins (1 blacklist entry not shown), 1179 features

Whiteboard: mga5-32-ok => MGA5-32-OK MGA5-64-OK
CC: (none) => mageia

Comment 11 PC LX 2017-10-22 22:17:05 CEST
Does this bug require more testing to be resolved? Any suggestions?
Comment 12 David Walser 2017-10-22 22:23:14 CEST
It needs more patches.  See Comment 6.

CC: (none) => qa-bugs
Assignee: qa-bugs => pkg-bugs


Note You need to log in before you can comment on or make changes to this bug.